
/+ dub.sdl:
	name "dsp_drum"
	dependency "dplug:core" version="*"
+/
module dsp_drum;
/* ------------------------------------------------------------
author: "Oren Kurtz"
copyright: "Punk Labs LLC 2022"
license: "GPLv3-or-later"
name: "OneTrick SIMIAN"
version: "1.00f"
Code generated with Faust 2.40f.3 (https://faust.grame.fr)
Compilation options: -a custom.d.template -lang dlang -cn DSP_Drum -pn processDrum -es 1 -mcd 16 -single -ftz 0
------------------------------------------------------------ */
/************************************************************************
 IMPORTANT NOTE : this file contains two clearly delimited sections :
 the ARCHITECTURE section (in two parts) and the USER section. Each section
 is governed by its own copyright and license. Please check individually
 each section for license and copyright information.
 *************************************************************************/

/*******************BEGIN ARCHITECTURE SECTION (part 1/2)****************/

/************************************************************************
 FAUST Architecture File
 Copyright (C) 2003-2019 GRAME, Centre National de Creation Musicale
 ---------------------------------------------------------------------
 This Architecture section is free software; you can redistribute it
 and/or modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 3 of
 the License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; If not, see <http://www.gnu.org/licenses/>.
 
 EXCEPTION : As a special exception, you may create a larger work
 that contains this FAUST architecture section and distribute
 that work under terms of your choice, so long as this FAUST
 architecture section is not modified.
 
 ************************************************************************
 ************************************************************************/

import std.math;
import std.stdio;
import std.conv;
import std.algorithm;
import std.format;
import core.stdc.stdlib;

/******************************************************************************
 *******************************************************************************
 
 VECTOR INTRINSICS
 
 *******************************************************************************
 *******************************************************************************/


/********************END ARCHITECTURE SECTION (part 1/2)****************/

/**************************BEGIN USER SECTION **************************/

/*
   ┏━━━┓╱╱╱╱╱┏┓╱╱┏┓╱╱╱╱╱┏┓╱╱   
   ┃┏━┓┃╱╱╱╱╱┃┃╱╱┃┃╱╱╱╱╱┃┃╱╱╱  
   ┃┗━┛┣┓┏┳━━┫┃┏┓┃┃╱╱┏━━┫┗━┳━━┓
   ┃┏━━┫┃┃┃┏┓┃┗┛┃┃┃╱┏┫┏┓┃┏┓┃━━┫
   ┃┃╱╱┃┗┛┃┃┃┃┏┓┃┃┗━┛┃┏┓┃┗┛┣━━┃
   ┗┛╱╱┗━━┻┛┗┻┛┗┛┗━━━┻┛┗┻━━┻━━┛
    ━━━━━━━━━━━━━━━━━━━━━━━━━━ 

	Copyright (c) 2022 Punk Labs LLC

	This section is part of OneTrick SIMIAN

	OneTrick SIMIAN is free software: you can redistribute it and/or modify it
	under the terms of the GNU General Public License as published by the Free
	Software Foundation, either version 3 of the License, or (at your option)
	any later version.

	OneTrick SIMIAN is distributed in the hope that it will be useful, but WITHOUT
	ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
	FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
	more details.

	You should have received a copy of the GNU General Public License along with
	OneTrick SIMIAN.  If not, see <http://www.gnu.org/licenses/>.
*/

import punklabs.faust.common;
import ldc.attributes; //fastmath

import std.math;
import std.algorithm : min, max;
import dplug.core.nogc: mallocNew, mallocSlice, destroyFree, assumeNothrowNoGC;

const __gshared float[] fDSP_DrumSIG0Wave0 = [-0.0909800008f,-0.543600023f,-0.393180013f,0.820930004f,0.690919995f,-0.272790015f,0.137170002f,0.273759991f,-0.123630002f,-0.110619999f,0.0868199989f,0.495279998f,-0.203339994f,-0.108779997f,0.149939999f,0.00671999995f,0.0820299983f,0.119609997f,0.0662600026f,-0.120630004f,-0.371989995f,0.0502999984f,0.555830002f,-0.351920009f,-0.458570004f,-0.432060003f,-0.348729998f,0.429890007f,0.129329994f,-0.44314f,-0.21954f,0.17441f,-0.139349997f,-0.678539991f,0.0473500006f,0.83829999f,0.588050008f,0.56923002f,-0.284640014f,-1.32573998f,0.0238899998f,0.718739986f,0.961920023f,0.977890015f,0.0308100004f,-0.738759995f,-0.211899996f,1.10350001f,0.25435999f,-0.337940007f,-0.345919997f,0.0295000002f,0.266649991f,-0.213689998f,-0.486330003f,-0.319750011f,0.337749988f,0.0654899999f,-0.115019999f,-0.411119998f,-0.508970022f,-0.54926002f,-0.437959999f,0.413729995f,-0.212620005f,-0.214849994f,-0.353520006f,-0.278160006f,0.0663599968f,-0.285659999f,0.337410003f,0.171409994f,0.0194400009f,-0.0974600017f,-0.374170005f,0.0326000005f,1.25580001f,0.582729995f,-0.647350013f,-0.601350009f,0.255479991f,0.886619985f,0.194189996f,0.527639985f,0.214070007f,-0.454840004f,-0.430370003f,0.257070005f,0.666109979f,-0.169090003f,-0.65982002f,0.0375300013f,0.540790021f,-0.19032f,0.0717300028f,-0.0518499985f,-0.42998001f,0.213780001f,-0.200770006f,-0.594330013f,-0.785480022f,-0.190899998f,0.796700001f,0.106749997f,-0.652670026f,-0.437720001f,-0.4014f,0.0351100005f,0.8398f,0.665430009f,-0.439170003f,-0.814989984f,0.181720003f,0.76831001f,0.433030009f,-0.157920003f,0.0659700036f,0.506600022f,0.460599989f,-0.132139996f,-0.340169996f,0.100309998f,0.324880004f,0.291850001f,0.30320999f,0.771600008f,-0.0422200002f,-1.02848005f,-0.260360003f,0.615620017f,0.535329998f,0.170159996f,-0.169379994f,-0.904219985f,-0.614069998f,0.676900029f,0.918780029f,-0.146259993f,-1.05058002f,-0.648699999f,0.0442100018f,0.477670014f,-0.0206000004f,-0.67602998f,0.11908f,0.0376299992f,-0.344080001f,0.09296f,-0.162949994f,-0.153709993f,0.154290006f,0.23985f,-0.173250005f,-0.104960002f,0.155159995f,-0.498710006f,-0.235349998f,0.522989988f,0.232160002f,-0.234050006f,-0.235740006f,0.160919994f,0.499920011f,0.149599999f,0.0540699996f,-0.0445900001f,-0.161259994f,-0.0149900001f,0.156709999f,0.331120014f,-0.150619999f,0.04208f,-0.00657999981f,-0.231150001f,-0.198689997f,-0.159610003f,0.19269f,-0.204980001f,-0.166909993f,-0.384180009f,-0.594190001f,-0.242369995f,0.202319995f,0.690010011f,0.347609997f,-0.344949991f,-0.428530008f,-0.234099999f,0.0463399999f,0.282709986f,0.668429971f,0.598249972f,-0.852370024f,-0.736869991f,0.313270003f,0.801880002f,1.27863002f,0.201159999f,-0.678200006f,-0.58002001f,-0.181960002f,0.400480002f,0.288800001f,0.209189996f,0.281789988f,-0.0230700001f,0.0832900032f,0.335860014f,-0.404980004f,-0.157629997f,0.0606999993f,-0.225099996f,-0.00889999978f,-0.264129996f,-0.281300008f,-0.0672300011f,-0.0960600004f,-0.231869996f,-0.0651500002f,0.168699995f,0.138569996f,-0.574259996f,-0.105630003f,0.932519972f,0.1391f,-0.343499988f,-0.408609986f,-0.0591499992f,0.638400018f,0.00406000018f,-0.427320004f,-0.236029997f,0.13369f,0.17881f,0.206f,0.610050023f,0.0788400024f,-0.545870006f,0.29073f,0.441109985f,-0.401930004f,-0.61638999f,0.0554299988f,0.944079995f,0.12043f,-0.253829986f,-0.570010006f,-0.44163999f,0.362749994f,0.33987999f,0.123340003f,-0.207399994f,-0.181089997f,-0.225250006f,0.0362799987f,-0.169579998f,-0.283670008f,-0.223020002f,-0.507130027f,-0.341129988f,0.106409997f,0.751039982f,0.500159979f,0.0786899999f,0.074529998f,-0.258760005f,-0.472299993f,-0.252570003f,0.475879997f,0.235349998f,-0.443529993f,-0.318349987f,0.542200029f,0.655910015f,0.0119000003f,-0.0433899984f,0.129189998f,0.521589994f,0.0964900032f,-0.469889998f,-0.406769991f,-0.0808200017f,0.065200001f,0.328319997f,0.701370001f,0.211850002f,-0.674000025f,-0.118019998f,0.745530009f,0.668290019f,-0.237920001f,-0.793560028f,0.00987000018f,0.167300001f,0.115400001f,-0.00676999986f,-0.409090012f,-0.230759993f,0.277579993f,-0.0138800004f,0.0857999995f,-0.141959995f,-1.10005999f,-0.144380003f,0.783309996f,0.342970014f,-0.29203999f,-0.483619988f,-0.01021f,0.192070007f,0.290490001f,-0.218089998f,-0.299589992f,0.392500013f,-0.182539999f,-0.183500007f,0.574989974f,0.502149999f,-0.32841f,-0.443859994f,0.214560002f,0.446040004f,0.0285800006f,-0.318980008f,0.0490400009f,0.0724999979f,-0.201690003f,0.0139800003f,0.120970003f,0.388770014f,0.00812999997f,-0.0173599999f,0.295040011f,-0.393610001f,-0.584999979f,-0.364639997f,0.505100012f,0.747759998f,0.218089998f,-0.723720014f,-0.791769981f,0.17441f,0.990800023f,0.595350027f,-0.47051999f,-0.37639001f,-0.352640003f,-0.157920003f,0.397430003f,0.528559983f,-0.131219998f,-0.393900007f,-0.0971200019f,0.0657299981f,-0.01088f,0.138909996f,0.145150006f,-0.00106000004f,-0.000579999993f,-0.300260007f,-0.12658f,0.297309995f,0.0168299992f,-0.061280001f,0.194969997f,0.107129999f,0.22597f,-0.127880007f,-0.335090011f,-0.11908f,-0.347660005f,-0.453729987f,0.125129998f,0.339340001f,0.210449994f,-0.0169300009f,-0.44483f,0.0326500013f,0.471630007f,0.317580014f,-0.354629993f,-0.809279978f,0.336389989f,0.392839998f,-0.366279989f,-0.0962499976f,0.107129999f,0.384229988f,0.428770006f,0.213540003f,-0.0663100034f,-0.300119996f,-0.326570004f,-0.0597800016f,0.183170006f,0.0658800006f,-0.369040012f,0.490150005f,1.07331002f,-0.29054001f,-0.885599971f,-0.0617600009f,0.624469995f,0.272790015f,-0.207589999f,-0.38549f,-0.310950011f,0.393660009f,0.258089989f,-0.364010006f,-0.30794999f,-0.215519994f,0.0834800005f,-0.149210006f,-0.162850007f,0.131510004f,0.301420003f,-0.160919994f,-0.295760006f,-0.0723100007f,0.111050002f,0.356220007f,-0.47863999f,-0.12658f,-0.0344900005f,-0.355349988f,0.284159988f,0.279610008f,-0.193759993f,-0.0635100007f,0.245749995f,0.394630015f,0.227280006f,-0.249479994f,-0.074000001f,-0.185829997f,-0.0435799994f,0.291170001f,0.335619986f,0.556119978f,-0.0179900005f,-0.521929979f,-0.0791800022f,0.207640007f,0.454890013f,0.372090012f,-0.341960013f,-0.241009995f,-0.205559999f,-0.275689989f,-0.0194899999f,0.197139993f,0.241449997f,-0.169039994f,-0.00396999996f,0.258859992f,0.152449995f,-0.321590006f,-0.235159993f,0.211410001f,0.0648600012f,-0.120290004f,0.0213300008f,0.373780012f,-0.240189999f,-0.732959986f,-0.106990002f,0.681729972f,0.856819987f,-0.23511f,-0.753120005f,-0.0897200033f,-0.214220002f,-0.27463001f,0.0900600031f,0.702149987f,0.444249988f,-0.475109994f,-0.336490005f,-0.142049998f,-0.131219998f,0.0801400021f,0.366620004f,0.0152799999f,-0.451889992f,-0.198980004f,0.0326000005f,-0.364740014f,-0.223790005f,0.338230014f,0.188339993f,-0.0501599982f,-0.0669400021f,0.0120000001f,0.0650499985f,-0.0727400035f,-0.206290007f,-0.118600003f,0.330249995f,0.295379996f,0.254559994f,0.716700017f,0.00793000031f,-0.899429977f,-0.189740002f,0.373970002f,0.219249994f,0.299540013f,0.209480003f,-0.245660007f,-0.457940012f,0.250059992f,0.184469998f,-0.0997299999f,0.217940003f,-0.128749996f,-0.417939991f,-0.125269994f,-0.0913200006f,-0.381179988f,-0.0961500034f,0.476370007f,0.406089991f,-0.234679997f,-0.959890008f,-0.538330019f,0.141910002f,0.209959999f,0.0430000015f,-0.395350009f,-0.0697000027f,0.10791f,0.540740013f,0.62045002f,-0.106069997f,-0.379830003f,-0.170489997f,0.032159999f,0.220359996f,0.322459996f,0.26433f,0.388630003f,0.139489993f,-0.0199299995f,0.105300002f,0.361449987f,0.133880004f,-0.44532001f,0.0099200001f,0.585150003f,0.192550004f,-0.131799996f,-0.396129996f,-0.119520001f,0.139540002f,0.0147000002f,-0.05528f,0.0427599996f,-0.181720003f,-0.415179998f,-0.0819299966f,0.0221500006f,0.18626f,-0.497409999f,-0.716030002f,-0.0424700007f,0.00159999996f,-0.249909997f,-0.189119995f,0.329189986f,0.745389998f,-0.107179999f,-0.796800017f,-0.337260008f,0.310900003f,0.359459996f,-0.507849991f,-0.598540008f,0.105779998f,0.457120001f,0.670319974f,0.314049989f,-0.356220007f,-0.448170006f,-0.276179999f,0.45412001f,0.509639978f,-0.232940003f,-0.256060004f,0.429740012f,0.345779985f,-0.0115599995f,0.142780006f,0.406089991f,0.509739995f,-0.2324f,-0.877189994f,-0.79843998f,0.194920003f,0.839699984f,0.292620003f,-0.372669995f,-0.0315800011f,0.327780008f,-0.0428499989f,-0.509599984f,-0.645219982f,0.220359996f,0.347030014f,0.0229700003f,0.172189996f,0.00289999996f,-0.40952f,-0.130400002f,0.641300023f,0.224910006f,-0.418709993f,-0.372570008f,0.138569996f,0.387080014f,0.138860002f,-0.474000007f,0.103409998f,0.538330019f,-0.548720002f,-0.237100005f,0.170880005f,0.334509999f,-0.152109995f,-0.228970006f,0.347950011f,0.385529995f,0.192259997f,-0.622730017f,-0.392019987f,0.0928200036f,0.445800006f,-0.0364699997f,-0.00280999998f,0.179299995f,-0.264620006f,0.0398100019f,0.315930009f,0.230609998f,-0.685270011f,-0.282460004f,0.598930001f,0.507849991f,0.186309993f,-0.44806999f,-0.250349998f,0.411410004f,0.0752099976f,-0.260800004f,0.0682500005f,0.153520003f,-0.320719987f,-0.672299981f,0.310030013f,0.585870028f,-0.2755f,0.399800003f,0.226549998f,-0.28362f,-0.454459995f,-0.934360027f,-0.1778f,0.512839973f,0.724150002f,0.142389998f,-0.26771f,-0.353760004f,-0.0724100024f,0.0507900007f,0.39023f,0.286330014f,-0.725889981f,-0.737940013f,-0.41257f,0.664470017f,0.294939995f,-0.31013f,-0.0115599995f,-0.000820000016f,0.193419993f,0.0154799996f,-0.0630699992f,-0.125459999f,-0.0602700002f,-0.4903f,-0.205369994f,0.371890008f,0.221860006f,0.0110299997f,0.0292099994f,0.17746f,0.0679100007f,0.0208899993f,-0.125080004f,0.317820013f,0.330150008f,-0.0936399996f,-0.127790004f,0.410780013f,0.231240004f,-0.63598001f,-0.327349991f,0.439900011f,0.623790026f,0.247449994f,-0.190709993f,-0.638010025f,-0.268099993f,0.41576001f,0.0972200036f,-0.135480002f,0.139300004f,-0.0159099996f,-0.234099999f,-0.131559998f,0.035840001f,-0.240529999f,-0.0196899995f,0.447490007f,0.161449999f,-0.748920023f,-0.559949994f,0.486429989f,0.637719989f,0.555450022f,-0.691309988f,-1.10683f,0.192839995f,0.848070025f,0.177750006f,-0.491259992f,-0.0131599996f,-0.259389997f,-0.155599996f,0.565599978f,0.591530025f,-0.0615699999f,-0.470270008f,0.0275199991f,-0.0565899983f,0.101180002f,0.207929999f,0.0575099997f,0.43452999f,0.431140006f,-0.625050008f,-0.354530007f,0.588919997f,0.411749989f,-0.146359995f,-0.301569998f,0.0373900011f,0.159219995f,0.10926f,-0.567929983f,-0.0686300024f,0.185969993f,0.360870004f,0.188240007f,-0.487780005f,-0.299629986f,-0.620549977f,-0.0535899997f,0.278549999f,-0.258810014f,-0.07632f,0.34630999f,0.129910007f,-0.426979989f,-0.0200200006f,0.336199999f,0.0583800003f,-0.360139996f,-0.343360007f,0.0f,-0.00779000018f,0.446040004f,0.289279997f,-0.072209999f,-0.397240013f,-0.183359995f,0.50079f,0.716750026f,0.25571999f,-0.508729994f,-0.660790026f,-0.345050007f,0.231820002f,0.388920009f,0.366039991f,0.141859993f,-0.16392f,-0.150999993f,-0.232260004f,-0.242609993f,0.603479981f,0.459390014f,-0.105489999f,-0.470609993f,-0.786059976f,0.117190003f,0.38635999f,0.295720011f,0.179010004f,-0.0723600015f,0.227080002f,0.0934000015f,-0.259730011f,-0.0705199987f,0.366769999f,0.189449996f,-0.230419993f,-0.0272799991f,0.0686300024f,-0.132039994f,-0.0247200001f,0.0509800017f,0.220650002f,0.399949998f,-0.247590005f,-0.243670002f,0.107469998f,0.0679100007f,0.307859987f,0.157340005f,-0.322169989f,-0.285169989f,-0.134939998f,-0.323619992f,-0.179590002f,0.118349999f,0.0208500009f,-0.421279997f,0.277339995f,0.276899993f,-0.505439997f,-0.145199999f,0.522409976f,0.344760001f,-0.919700027f,-0.768840015f,-0.106459998f,0.429839998f,0.743110001f,-0.203140005f,-0.566670001f,0.0753099993f,0.631630003f,0.524640024f,-0.099969998f,0.245269999f,0.287640005f,-0.3926f,-0.513800025f,-0.0359899998f,0.0520900004f,0.246580005f,0.696240008f,0.278259993f,0.00923999958f,-0.582780004f,-0.243379995f,0.382679999f,0.228389993f,0.0677099973f,-0.126719996f,-0.132620007f,-0.199760005f,-0.672399998f,0.0980900005f,0.774699986f,0.22191f,-0.444299996f,-0.796649992f,-0.125799999f,0.657360017f,0.395740002f,-0.651359975f,-0.378129989f,-0.00468999986f,-0.354000002f,-0.140849993f,0.504419982f,0.313809991f,-0.444059998f,-0.47003001f,0.399749994f,0.303310007f,-0.278160006f,-0.188679993f,0.484439999f,0.605849981f,-0.211989999f,-0.600189984f,0.461080015f,1.21150005f,-0.0797099993f,-0.355260015f,-0.144470006f,0.150619999f,-0.10249f,-0.478210002f,0.515110016f,0.220840007f,-0.0252f,-0.0110799996f,-0.355060011f,0.210199997f,-0.360000014f,-0.516659975f,0.0961999968f,0.430949986f,-0.231869996f,-0.900059998f,-0.280429989f,0.456730008f,0.323379993f,-0.186159998f,0.13064f,0.307179987f,0.159799993f,-0.532760024f,-0.356319994f,0.0837199986f,0.284590006f,0.230609998f,0.0964900032f,-0.270229995f,-0.194969997f,0.556320012f,0.699580014f,0.134560004f,-0.917959988f,-0.72894001f,0.0382100008f,0.808170021f,0.624710023f,-0.279469997f,-0.406960011f,-0.312840015f,-0.352789998f,-0.414510012f,0.201110005f,0.988870025f,0.490680009f,-0.76918f,-0.886330009f,0.0828000009f,0.411069989f,0.573010027f,0.141139999f,0.00595000014f,-0.21717f,-0.728359997f,0.0271799993f,0.320670009f,0.690199971f,0.226549998f,-0.378419995f,0.251650006f,0.157969996f,-0.168369994f,0.165370002f,0.511189997f,0.355639994f,-0.352640003f,-0.372229993f,0.362080008f,0.449719995f,-0.156269997f,-0.720719993f,0.0954300016f,0.606959999f,-0.0538300015f,0.148489997f,0.191049993f,-0.080629997f,-0.0879800022f,-0.330060005f,-0.173010007f,-0.252229989f,-0.442119986f,-0.169190004f,-0.0526200011f,0.433899999f,0.3926f,-0.648220003f,-0.503989995f,0.0333199985f,-0.0777700022f,-0.0224900004f,-0.333490014f,-0.537940025f,-0.243919998f,-0.0178999994f,0.264230013f,0.261420012f,0.0306199994f,0.02355f,-0.12077f,0.180219993f,-0.0564900003f,-0.351480007f,0.616439998f,0.689090014f,0.0165400002f,-0.200379997f,-0.00590000022f,0.416339993f,0.194000006f,0.559369981f,0.826059997f,-0.533050001f,-0.562900007f,0.0666000023f,0.226359993f,0.357050002f,-0.200049996f,-0.267280012f,-0.198210001f,-0.125080004f,0.046769999f,-0.228579998f,0.131459996f,0.184959993f,-0.474429995f,-0.731700003f,-0.173299998f,0.528410017f,0.174319997f,0.0209899992f,-0.190369993f,-0.552590013f,-0.160720006f,0.288749993f,0.323240012f,-0.0776799992f,-0.149939999f,0.271100014f,0.400579989f,0.0460500009f,-0.166869998f,-0.119369999f,0.312400013f,0.47525999f,-0.0632200018f,-0.140890002f,-0.498079985f,-0.0469200015f,0.697210014f,0.110370003f,-0.119759999f,-0.224710003f,-0.179969996f,0.143209994f,0.420410007f,-0.144999996f,-0.488070011f,0.0104499999f,0.372669995f,-0.107179999f,-0.567589998f,0.420210004f,0.49436f,-0.0372899994f,-0.279709995f,-0.0251499992f,0.0716800019f,-0.16798f,-0.0194899999f,-0.00150000001f,0.190229997f,0.0634599999f,-0.0398500003f,-0.319370002f,-0.329769999f,0.290690005f,0.707419991f,0.231439993f,-0.468870014f,-0.348820001f,-0.170110002f,0.137799993f,0.0109799998f,-0.0877399966f,-0.27719f,-0.627900004f,0.100599997f,0.646570027f,0.348340005f,-0.455280006f,-0.264910012f,0.0743400007f,-0.412809998f,-0.469599992f,0.0252500009f,0.10892f,0.0100600002f,0.422439992f,0.117480002f,-0.433560014f,-0.253250003f,0.27177f,0.549350023f,0.291940004f,-0.384469986f,-0.601540029f,0.0727000013f,0.829540014f,0.50128001f,-0.0207000002f,0.339780003f,0.221670002f,-0.482120007f,-0.388630003f,0.369430006f,0.413639992f,-0.251219988f,0.0427599996f,0.191679999f,-0.070129998f,0.0873000026f,0.0520900004f,0.121639997f,-0.294169992f,-0.475879997f,-0.120630004f,0.188580006f,0.359950006f,0.0425099991f,-0.218329996f,0.295569986f,0.166869998f,-0.566039979f,-0.485700011f,0.183259994f,0.495620012f,0.2324f,-0.512499988f,-0.363770008f,0.31705001f,-0.01296f,-0.123290002f,-0.0520399995f,0.233659998f,-0.151529998f,-0.318109989f,0.22834f,-0.0364699997f,-0.607439995f,-0.0294599999f,0.389840007f,-0.0283899996f,-0.129040003f,-0.419679999f,-0.181130007f,0.340499997f,0.668869972f,0.37402001f,-0.10554f,-0.17949f,-0.291559994f,-0.00600000005f,0.504610002f,0.646229982f,-0.144810006f,-0.450489998f,0.207929999f,0.307520002f,0.229939997f,0.118500002f,-0.0992999971f,-0.115359999f,-0.560670018f,-0.89507997f,0.630900025f,0.93918997f,-0.124690004f,-0.34224999f,-0.259629995f,0.221180007f,-0.153999999f,-0.226740003f,0.454840004f,0.180840001f,-0.569959998f,-0.409570009f,-0.0132499998f,0.235890001f,0.351150006f,0.260549992f,0.169770002f,-0.453299999f,-0.838199973f,-0.369379997f,0.219249994f,0.467519999f,0.166189998f,-0.269450009f,-0.531840026f,0.0041100001f,0.415809989f,0.326189995f,0.0455599986f,-0.630609989f,-0.105149999f,0.150370002f,0.141330004f,0.102930002f,-0.10447f,-0.276659995f,0.288459986f,0.788919985f,-0.134269997f,-0.258469999f,0.159950003f,0.368070006f,0.182150006f,0.173779994f,-0.238930002f,-0.264519989f,0.317090005f,0.165130004f,0.01712f,0.0900100023f,0.00150000001f,-0.55013001f,-0.535860002f,-0.135519996f,0.0983799994f,0.00942999963f,-0.152789995f,0.378520012f,0.178519994f,-0.641979992f,-0.277139992f,0.393510014f,0.169139996f,-0.501860023f,-0.332569987f,0.255809993f,0.357870013f,-0.0581899993f,-0.360000014f,0.288069993f,0.562699974f,0.146119997f,-0.721010029f,-0.945339978f,0.257120013f,0.54321003f,-0.0656799972f,-0.245660007f,-0.396369994f,0.115889996f,0.573339999f,0.442900002f,0.378329992f,-0.386159986f,-0.34968999f,0.310900003f,0.34630999f,-0.0276699997f,-0.391290009f,-0.0291700009f,0.408219993f,0.25485f,-0.112109996f,0.209529996f,0.18118f,0.197919995f,0.39598f,-0.115110002f,-0.387519985f,-0.206290007f,0.168369994f,-0.173830003f,-0.534699976f,0.159219995f,0.595640004f,-0.161640003f,-0.484400004f,-0.0446900018f,0.211559996f,0.285320014f,-0.226699993f,-0.670130014f,-0.824129999f,0.154239997f,1.07722998f,0.257600009f,-0.197099999f,-0.0175599996f,0.0904499963f,0.0105400002f,-0.192159995f,-0.419440001f,-0.127159998f,0.326330006f,0.339300007f,0.0185199995f,-0.495909989f,-0.212090001f,0.205899999f,0.422829986f,0.1778f,-0.389600009f,-1.05343997f,-0.750169992f,0.536539972f,0.787710011f,0.0665000007f,-0.731549978f,-0.146459997f,0.231389999f,-0.0224900004f,0.27632001f,0.0497700013f,-0.229110003f,-0.305150002f,-0.0529600009f,0.311390013f,0.295139998f,0.48082f,0.576099992f,-0.0694999993f,-0.390899986f,0.251749992f,0.155650005f,-0.250400007f,0.059009999f,0.246619999f,-0.1822f,-0.239659995f,0.169770002f,0.42287001f,0.0985200033f,-0.0689200014f,0.248559996f,0.178859994f,-0.109310001f,-0.693729997f,0.148149997f,0.762269974f,0.164299995f,-0.398059994f,-0.610830009f,0.0867199972f,0.52493f,0.236849993f,-0.534020007f,-0.635450006f,0.100409999f,0.395350009f,-0.519169986f,-0.820349991f,0.196759999f,0.0138800004f,-0.138429999f,0.613439977f,0.340990007f,-0.292959988f,-0.242750004f,-0.124260001f,0.01021f,0.348729998f,0.0474499986f,-0.0540699996f,-0.0611799993f,-0.0414999984f,0.246869996f,0.500739992f,0.527830005f,0.155019999f,-0.244880006f,-0.484930009f,0.0814500004f,0.405559987f,0.562269986f,-0.0203600004f,-0.326570004f,0.0239899997f,-0.26602f,0.114869997f,0.309309989f,0.0199299995f,-0.587419987f,-0.660260022f,-0.183990002f,-0.220840007f,-0.119759999f,0.0383099988f,0.46103999f,-0.104330003f,-0.596080005f,-0.581950009f,-0.0202699993f,0.839510024f,0.245269999f,-0.272549987f,-0.537940025f,0.209570006f,0.11744f,0.0675700009f,0.918489993f,-0.0851700008f,-1.58489001f,-0.553420007f,1.24676001f,0.803470016f,-0.314049989f,-0.813920021f,-0.139829993f,0.407929987f,0.315499991f,0.117969997f,0.100019999f,0.00479000015f,0.0246200003f,-0.0733700022f,-0.0650099963f,0.321060002f,0.0808700025f,0.0445500016f,0.228440002f,0.0281000007f,-0.22394f,-0.200289994f,0.178959996f,0.523720026f,0.0201200005f,-0.492469996f,-0.165560007f,0.450969994f,0.262829989f,-0.287110001f,-0.0684899986f,0.597959995f,0.0260199998f,-0.336199999f,0.401980013f,0.0819299966f,0.0282899998f,-0.171749994f,-0.305150002f,0.0040099998f,0.0984800011f,0.123000003f,0.179780006f,0.07773f,-0.616100013f,-0.28836f,0.508729994f,0.760670006f,-0.608259976f,-1.23848999f,0.0210900009f,0.606769979f,0.429639995f,-0.765359998f,-0.646329999f,0.204349995f,0.440290004f,0.318690002f,-0.529229999f,-0.240720004f,0.289570004f,-0.428290009f,-0.188339993f,0.869109988f,0.0420299992f,-0.629299998f,0.220310003f,0.398299992f,-0.374850005f,-0.334219992f,0.436560005f,0.680140018f,0.394050002f,-0.149649993f,-0.362610012f,0.199369997f,0.508920014f,-0.290490001f,-0.234099999f,0.391189992f,0.45194f,-0.304419994f,-0.839890003f,0.0408699997f,0.360240012f,0.135330006f,-0.141039997f,-0.0362300016f,0.134560004f,-0.338420004f,-0.0403399989f,0.257510006f,0.0218100008f,-0.446770012f,-0.440290004f,0.205750003f,0.0837199986f,-0.0949399993f,-0.395639986f,0.00628999993f,0.322710007f,-0.00101999997f,-0.0226399992f,-0.209859997f,-0.279509991f,0.00449999981f,0.0929099992f,-0.230320007f,0.0847899988f,0.177990004f,0.143940002f,0.665920019f,0.372379988f,-0.227469996f,-0.233759999f,0.0232200008f,0.551379979f,-0.114440002f,-0.129529998f,0.229409993f,-0.382869989f,-0.0521400012f,0.150470003f,0.0151899997f,0.0878800005f,0.054990001f,0.133440003f,-0.198210001f,-0.186890006f,0.127639994f,-0.117870003f,-0.119949996f,0.0732799992f,0.330980003f,0.155310005f,-0.0700799972f,-0.605889976f,-0.164299995f,0.458620012f,0.153129995f,0.193179995f,-0.167250007f,-0.352019995f,-0.415809989f,0.0460500009f,0.671239972f,0.273030013f,-0.0646200031f,0.00865999982f,0.192019999f,0.202460006f,-0.229599997f,-0.670849979f,-0.322849989f,0.282079995f,0.0989099964f,-0.188199997f,-0.0240899995f,0.153569996f,-0.0962499976f,-0.176489994f,0.0853200033f,-0.0594400018f,-0.526139975f,-0.193900004f,0.39192f,0.284299999f,-0.225679994f,-0.419050008f,0.304619998f,0.552349985f,-0.0500600003f,-0.284449995f,-0.203290001f,0.0137400003f,0.119319998f,-0.271580011f,-0.190229997f,0.508050025f,0.404060006f,0.0262100007f,-0.0320199989f,0.257169992f,0.293150008f,-0.401059985f,-0.203769997f,0.43452999f,0.617070019f,0.0794200003f,0.13436f,0.280380011f,-0.576489985f,-0.60777998f,0.280189991f,0.571550012f,-0.298280001f,-0.572329998f,-0.29914999f,-0.0716300011f,0.39429f,0.0898199975f,-0.458380014f,-0.600960016f,-0.111680001f,0.439170003f,-0.242170006f,-0.0979399979f,-0.22563f,-0.795059979f,0.0525300018f,0.637139976f,0.108199999f,-0.656970024f,-0.056400001f,0.68226999f,0.0664099976f,-0.521690011f,0.0666999966f,0.68957001f,0.702049971f,-0.155599996f,-0.915880024f,-0.0428499989f,0.680190027f,0.383359998f,0.21751f,0.47051999f,0.587080002f,-0.124980003f,0.241109997f,0.368939996f,-0.720089972f,-0.531650007f,0.0724100024f,0.610390007f,0.22529f,-0.241640002f,-0.230279997f,-0.0894799978f,0.246140003f,-0.606230021f,-0.628480017f,0.494120002f,0.301420003f,-0.655520022f,-0.893490016f,-0.226119995f,0.356370002f,0.169039994f,-0.0667499974f,0.206379995f,-0.105829999f,-0.438639998f,-0.17915f,0.106700003f,0.211170003f,-0.073710002f,0.0187199991f,0.714139998f,0.553560019f,-0.256249994f,-0.423209995f,-0.194150001f,0.583940029f,0.186499998f,-0.216150001f,0.162509993f,0.77323997f,0.562560022f,-0.739530027f,-0.512589991f,0.286089987f,0.115889996f,-0.125560001f,0.46272999f,0.372619987f,-0.653680027f,-0.910459995f,0.288749993f,0.642849982f,0.0832400024f,-0.18795f,-0.325269997f,-0.328170002f,-0.108099997f,-0.246619999f,-0.0375300013f,0.288269997f,0.243870005f,-0.0343899988f,-0.504469991f,0.0734200031f,0.198310003f,-0.109070003f,-0.240669996f,0.0983799994f,0.106749997f,-0.202509999f,0.297890007f,0.278930008f,-0.204740003f,0.00479000015f,0.0287800003f,0.475010008f,0.0861900002f,-0.562359989f,0.242899999f,0.329430014f,0.0428499989f,-0.477039993f,-0.0553800017f,0.305150002f,-0.238930002f,-0.176689997f,0.128169999f,0.1127f,-0.157820001f,-0.111050002f,-0.0932999998f,0.0564900003f,-0.0822699964f,-0.453830004f,0.0243800003f,0.44938001f,-0.185489997f,-0.894739985f,-0.271189988f,1.06745994f,0.935370028f,-0.418379992f,-0.678300023f,-0.177890003f,0.256300002f,0.11637f,0.193570003f,0.452520013f,-0.105489999f,-0.158930004f,-0.166720003f,0.336149991f,0.671769977f,0.149890006f,-0.314429998f,-0.112259999f,0.167060003f,-0.255959988f,-0.239759997f,0.196079999f,0.37707001f,-0.350520015f,-0.510219991f,0.154679999f,0.260600001f,-0.0178500004f,-0.454699993f,-0.460119992f,-0.108730003f,-0.0885099992f,0.304179996f,0.363000005f,-0.185440004f,-0.349739999f,0.0174100008f,0.119609997f,-0.220840007f,-0.316850007f,0.0709500015f,0.616580009f,-0.00947999954f,-0.0596400015f,0.311390013f,-0.0173599999f,-0.0593499988f,0.242129996f,0.100850001f,-0.353709996f,0.00908999983f,0.644010007f,0.328900009f,-0.215770006f,0.229699999f,0.182249993f,0.411170006f,0.393559992f,-0.467319995f,-0.682219982f,-0.529139996f,0.33296001f,0.592299998f,0.244739994f,-0.28362f,-0.253439993f,-0.0916600004f,-0.27245f,-0.00488999998f,-0.121210001f,0.30171001f,-0.166089997f,-0.367639989f,0.0327400006f,-0.0374399982f,0.269690007f,0.0113199996f,-0.629499972f,-0.740649998f,0.188240007f,0.30083999f,0.213640004f,-0.0250499994f,-0.322560012f,0.0326500013f,0.288560003f,0.391099989f,0.0334700011f,-0.100220002f,-0.033569999f,-0.162509993f,-0.0401900001f,0.406480014f,0.175040007f,0.325029999f,0.765510023f,0.107759997f,-0.893970013f,-1.14663994f,-0.0231699999f,0.834770024f,0.628239989f,-0.283329993f,-0.315160006f,0.231580004f,-0.123719998f,-0.0769499987f,-0.192980006f,0.147809997f,0.248510003f,-0.252279997f,-0.10689f,0.100120001f,-0.00923999958f,0.154730007f,0.202419996f,-0.118260004f,0.110330001f,0.0867199972f,-0.264039993f,-0.48506999f,0.222589999f,0.294649988f,-0.173639998f,0.256350011f,0.483819991f,-0.148780003f,-0.232500002f,0.102339998f,-0.23511f,-0.419869989f,0.10351f,0.650439978f,0.315789998f,0.359560013f,-0.116130002f,-0.721490026f,-0.458039999f,-0.21785f,0.355890006f,0.355159998f,-0.168410003f,-0.102779999f,0.222000003f,0.521160007f,0.1127f,-0.187419996f,-0.218180001f,-0.133059993f,-0.0414000005f,0.437669992f,0.0815500021f,-0.737070024f,0.0579000004f,0.0814500004f,0.222920001f,0.433369994f,0.137510002f,-0.484400004f,-0.962260008f,-0.0456600003f,0.599219978f,0.226549998f,-0.050689999f,-0.062880002f,0.215090007f,0.126139998f,-0.495669991f,-0.345679998f,0.608889997f,0.530640006f,-0.60066998f,-0.552789986f,0.379489988f,0.56971997f,-0.373540014f,-0.453200012f,0.343699992f,-0.304040015f,-0.663060009f,-0.188150004f,0.336679995f,0.864419997f,0.161160007f,-0.510710001f,-0.305240005f,0.226699993f,0.0078800004f,0.147620007f,0.215719998f,-0.30757001f,-0.834379971f,-0.459390014f,0.720480025f,0.489279985f,0.229159996f,0.0525300018f,0.0948000029f,0.50059998f,-0.0913200006f,-0.648649991f,-0.177169994f,0.262490004f,0.277720004f,0.00304999994f,0.206139997f,-0.0776299983f,-0.450300008f,-0.101520002f,0.234870002f,0.301670015f,-0.405849993f,-0.636460006f,-0.0483199991f,0.336879998f,-0.0086099999f,-0.253639996f,-0.150570005f,-0.120480001f,-0.231340006f,0.125609994f,0.667710006f,0.501950026f,-0.0472100005f,-0.324930012f,-0.139730006f,0.431340009f,0.477959991f,0.313609987f,0.234099999f,-0.256249994f,-0.310270011f,-0.50533998f,0.0707100034f,0.992730021f,0.493099988f,-0.564249992f,-0.673560023f,0.492909998f,0.350230008f,-0.768599987f,-0.169530004f,0.620019972f,0.25011f,-0.541570008f,-0.521690011f,0.0672800019f,0.299919993f,0.0f,-0.379830003f,-0.142049998f,-0.233129993f,-0.0664599985f,0.192890003f,0.245949998f,-0.0809200034f,-0.63598001f,-0.231480002f,0.28797999f,0.294070005f,0.0201200005f,-0.42978999f,0.0655900016f,0.515060008f,-0.0432900004f,-0.120719999f,0.21886f,0.288700014f,-0.226740003f,-0.203480005f,0.333680004f,0.0738999993f,-0.28560999f,-0.115979999f,-0.0838700011f,0.516129971f,0.542490005f,-0.0553800017f,-0.0917500034f,-0.367879987f,-0.393220007f,-0.0214699991f,0.0924799964f,0.0802399963f,-0.169530004f,-0.330929995f,0.272740006f,0.540600002f,-0.0196400005f,-0.74533999f,-0.365319997f,0.173010007f,-0.198980004f,-0.501999974f,0.0248099994f,0.465820014f,0.132479995f,0.0929099992f,0.142299995f,-0.142920002f,-0.351969987f,0.108829997f,0.955110013f,0.359899998f,-0.729420006f,-0.749249995f,0.0537800007f,0.713660002f,0.684099972f,0.322899997f,0.0300399996f,-0.0314900018f,-0.369910002f,-0.436170012f,-0.0489999987f,0.695179999f,0.434379995f,0.0243800003f,-0.103409998f,-0.453200012f,-0.477290004f,0.0766099989f,0.504419982f,0.119900003f,0.00855999999f,-0.258280009f,-0.294510007f,0.159659997f,0.120580003f,0.0086099999f,0.00377000007f,-0.499830008f,-0.34799999f,0.0884200037f,0.22089f,0.124690004f,-0.173979998f,-0.12314f,-0.0990099981f,-0.056880001f,0.554820001f,0.459630013f,-0.185489997f,-0.548240006f,-0.66286999f,-0.420700014f,0.274919987f,0.560570002f,0.0275199991f,0.148289993f,-0.212380007f,-0.373439997f,-0.0727400035f,-0.0845900029f,0.17543f,0.208700001f,0.186120003f,0.419149995f,-0.233850002f,-0.681490004f,-0.208900005f,0.206330001f,0.145439997f,0.189700007f,0.25740999f,0.251700014f,0.200139999f,-0.201879993f,-0.0507900007f,-0.121890001f,-0.0188599993f,-0.039760001f,-0.0575099997f,-0.0358900018f,-0.195889995f,-0.08213f,0.157429993f,0.211170003f,0.355399996f,0.235499993f,-0.535090029f,-0.446379989f,0.277289987f,0.268920004f,-0.293440014f,-0.356469989f,-0.0970200002f,0.0219100006f,0.368030012f,0.56773001f,0.0429500006f,-0.644640028f,-0.669399977f,0.0661199987f,0.362080008f,0.532130003f,0.265199989f,-0.0803899989f,0.088030003f,-0.204740003f,-0.644689977f,-0.195309997f,0.449620008f,0.348390013f,0.0345299989f,-0.11744f,0.0787900016f,-0.300020009f,-0.182099998f,0.337799996f,0.300359994f,0.423070014f,-0.0244299993f,-0.491409987f,-0.314819992f,0.0182799995f,0.189260006f,0.29054001f,0.0250499994f,-0.233659998f,0.0735199973f,0.102200001f,0.276270002f,-0.0640899986f,-0.475059986f,-0.252229989f,0.0803899989f,0.547519982f,0.35018f,-0.187130004f,-0.144759998f,-0.116269998f,-0.517040014f,-0.511919975f,0.320919991f,0.642939985f,-0.144040003f,-0.00768999988f,-0.0331799984f,-0.466069996f,-0.269690007f,0.306499988f,0.817399979f,0.03125f,-0.639119983f,-0.327109993f,-0.0777700022f,0.00735000009f,-0.151920006f,0.159130007f,0.821950018f,0.370880008f,-0.39666f,-0.478249997f,0.132239997f,0.548189998f,0.333099991f,-0.508679986f,-0.332329988f,0.147369996f,-0.199509993f,-0.076030001f,0.355890006f,0.531409979f,-0.267859995f,-0.400240004f,0.304230005f,0.818899989f,0.198929995f,-0.463310003f,-0.121059999f,-0.0416899994f,-0.35879001f,-0.363819987f,0.435299993f,0.427179992f,-0.0144600002f,0.179010004f,-0.0714399964f,-0.0875400007f,0.0274199992f,0.305240005f,0.480720013f,-0.166769996f,-0.404449999f,-0.70393002f,-0.283289999f,0.125029996f,0.348340005f,0.430999994f,-0.325989991f,-0.320820004f,0.309450001f,0.156420007f,-0.504369974f,-0.298860013f,-0.106310003f,-0.23071f,-0.0213799998f,0.196610004f,-0.145779997f,-0.265489995f,-0.00600000005f,0.0827099979f,-0.190229997f,-0.197819993f,0.171120003f,-0.0850799978f,0.263790011f,0.518159986f,0.0988100022f,-0.180360004f,-0.234239995f,0.00884999987f,-0.149120003f,0.181569993f,0.207159996f,-0.192310005f,0.197390005f,0.901269972f,0.244589999f,-0.656340003f,-0.134409994f,0.602320015f,0.416590005f,-0.993610024f,-0.961920023f,0.126000002f,0.510760009f,0.26534f,0.41949001f,0.35255f,-0.397670001f,-0.559700012f,-0.0346300006f,0.371309996f,0.212380007f,-0.127690002f,-0.351339996f,-0.399129987f,-0.194389999f,0.00276000006f,-0.0204099994f,0.417409986f,0.0524300002f,-0.429309994f,-0.534839988f,0.0892399997f,0.701950014f,0.401879996f,-0.125320002f,-0.341470003f,0.23748f,-0.052480001f,-0.601300001f,0.101230003f,0.921050012f,0.444059998f,-0.200870007f,-0.0113199996f,0.228290007f,-0.168899998f,-0.0474999994f,0.198060006f,0.0933500007f,-0.104180001f,-0.223069996f,0.01272f,-0.0591499992f,0.301959991f,0.398499995f,-0.198890001f,-0.460359991f,-0.00106000004f,-0.0086099999f,-0.433510005f,-0.0166900009f,0.00304999994f,-0.173199996f,-0.0158600006f,0.389840007f,0.164539993f,-0.531989992f,-0.186409995f,0.082220003f,-0.553460002f,-0.44163999f,0.303409994f,0.257990003f,0.443480015f,0.205559999f,0.126530007f,-0.184090003f,-0.592589974f,0.00261000008f,0.541180015f,0.365319997f,-0.0802399963f,-0.0750200003f,-0.0332800001f,-0.176300004f,-0.194869995f,0.450199991f,0.14452f,-0.100989997f,0.0414500013f,-0.406040013f,-0.0983799994f,0.603959978f,0.308730006f,-0.088030003f,-0.162469998f,-0.0752599984f,-0.0884200037f,-0.309689999f,-0.527880013f,-0.323430002f,0.353760004f,0.433219999f,-0.162850007f,-0.535960019f,0.421330005f,0.572960019f,-0.0774800032f,-0.55675f,-0.391629994f,-0.165900007f,0.00135000004f,0.68009001f,0.636699975f,0.149839997f,-0.576919973f,0.0468700007f,0.760519981f,-0.154870003f,-0.55163002f,0.248899996f,0.889469981f,0.342680007f,-0.816969991f,-0.854210019f,0.0583800003f,0.322609991f,0.358159989f,0.285950005f,-0.0099200001f,-0.0102500003f,-0.332520008f,-0.232979998f,0.186989993f,0.191389993f,0.0512199998f,-0.271290004f,-0.359079987f,-0.401639998f,-0.281590015f,0.0979899988f,0.295960009f,0.351440012f,0.394430012f,-0.134849995f,-0.261180013f,0.30794999f,0.0996399969f,-0.604009986f,-0.512109995f,0.0736100003f,-0.0182300005f,0.163629994f,0.728070021f,0.588339984f,-0.35661f,-0.704129994f,-0.237920001f,0.128849998f,0.485509992f,0.257649988f,-0.0484599993f,-0.241500005f,-0.44332999f,-0.348150015f,-0.262970001f,0.552739978f,0.852760017f,0.0089499997f,-0.66930002f,-0.633270025f,-0.0104f,0.379200011f,0.572520018f,0.317820013f,-0.00377000007f,-0.727010012f,-0.610099971f,0.0342900008f,-0.203960001f,-0.17814f,-0.111780003f,0.54944998f,0.548240006f,-0.347469985f,-0.148680001f,0.222389996f,0.0452699997f,-0.288949996f,-0.1391f,0.500259995f,0.157000005f,-0.18355f,0.289279997f,0.559170008f,0.345239997f,-0.452910006f,-0.537119985f,0.369190007f,0.412140012f,-0.157480001f,-0.107859999f,-0.0451299995f,-0.329189986f,-0.00541999983f,-0.0496699996f,-0.246720001f,0.132039994f,0.234150007f,0.01504f,-0.382779986f,-0.0939299986f,-0.09736f,-0.376780003f,0.226940006f,0.528360009f,-0.293639988f,-0.766129971f,-0.101230003f,0.229359999f,0.330639988f,0.300309986f,-0.147369996f,0.114480004f,0.119419999f,-0.152070001f,-0.0311500002f,0.33634001f,-0.146599993f,-0.82595998f,0.0815000013f,0.767880023f,0.533490002f,-0.00798000023f,-0.164690003f,-0.315549999f,0.0879300013f,0.197530001f,-0.298429996f,-0.214019999f,-0.099969998f,0.176829994f,0.0542199984f,-0.00358000002f,0.22868f,0.0498199984f,0.133110002f,0.444249988f,0.25959f,-0.304949999f,-0.879509985f,-0.373100013f,0.0215700008f,-0.00972000044f,0.268240005f,0.458759993f,0.312940001f,-0.280580014f,-0.607010007f,-0.491459996f,0.195109993f,0.523379982f,0.234630004f,-0.0985699967f,-0.0647599995f,-0.208660007f,-0.302100003f,-0.218909994f,0.178519994f,0.491219997f,0.0130099999f,-0.22665f,0.0183300003f,0.190610006f,-0.173350006f,0.139829993f,0.577939987f,-0.167300001f,-0.693000019f,0.101180002f,0.328990012f,0.130109996f,-0.243090004f,-0.440140009f,0.605019987f,0.687539995f,0.133589998f,-0.115110002f,-0.252909988f,-0.214939997f,-0.463160008f,-0.515450001f,0.40358001f,0.574209988f,-0.313419998f,-0.276659995f,0.0476900004f,0.330689996f,-0.0949900001f,-0.270130008f,0.438010007f,-0.0396099985f,-0.384420007f,0.133739993f,0.0268399995f,-0.266649991f,-0.195789993f,0.107280001f,0.538860023f,0.0460000001f,-0.557380021f,-0.366329998f,0.169430003f,0.559899986f,0.613730013f,-0.0211399999f,-0.462099999f,-0.404929996f,-0.0741999969f,-0.00604999997f,-0.389400005f,0.548389971f,0.64933002f,-0.382490009f,-0.240769997f,0.257459998f,0.0861399993f,0.257310003f,0.0908799991f,-0.0911199972f,-0.248659998f,-0.70310998f,-0.224519998f,0.458710015f,0.68720001f,0.0324099995f,-0.0766099989f,0.273660004f,0.091169998f,-0.26839f,-0.582780004f,-0.105389997f,0.469260007f,0.113179997f,0.0191099998f,0.630509973f,0.0185199995f,-0.672249973f,-0.223989993f,0.322659999f,0.198210001f,-0.451990008f,-0.232209995f,0.207980007f,0.249479994f,-0.253829986f,-0.309359998f,0.200529993f,0.259009987f,-0.201839998f,-0.564109981f,-0.148340002f,0.159130007f,-0.136779994f,-0.149259999f,0.189740002f,0.0185199995f,0.101329997f,0.426209986f,-0.222000003f,-0.402460009f,-0.199900001f,-0.29073f,0.662050009f,0.78707999f,0.242850006f,-0.316029996f,-0.27226001f,0.364589989f,-0.0116600003f,-0.105630003f,0.176929995f,0.151869997f,0.25029999f,-0.271919996f,-0.393900007f,0.459780008f,0.341129988f,0.0336599983f,-0.221860006f,-0.213009998f,-0.0777700022f,-0.408560008f,-0.00101999997f,0.243630007f,-0.0249099992f,0.0244699996f,-0.310759991f,-0.505729973f,0.0569799989f,0.149409994f,-0.000630000024f,0.0191099998f,0.150810003f,0.101910003f,-0.38312f,-0.136879995f,0.187130004f,-0.0214699991f,-0.590420008f,-0.181429997f,0.387279987f,0.0972200036f,0.145539999f,0.0403399989f,0.320919991f,0.428869992f,0.0150899999f,-0.250930011f,-0.53678f,-0.239610001f,0.0110299997f,0.0997800007f,0.806330025f,0.382490009f,-0.123089999f,0.248319998f,0.387180001f,0.103799999f,-0.551240027f,-0.572910011f,0.0463799983f,0.559369981f,0.121260002f,-0.345970005f,0.0406300016f,0.125850007f,-0.124449998f,-0.0389400013f,0.521640003f,0.207249999f,-0.810249984f,-0.264620006f,0.215189993f,-0.225150004f,-0.488649994f,-0.0324999988f,0.639069974f,0.231480002f,-0.355639994f,-0.558640003f,-0.119949996f,0.370400012f,0.264999986f,0.0190600008f,0.295329988f,0.312790006f,-0.04837f,-0.137309998f,-0.413199991f,0.0375300013f,0.0852700025f,0.358590007f,0.803229988f,-0.327740014f,-1.01628995f,-0.375090003f,0.461760014f,0.530640006f,-0.0460500009f,-0.478590012f,-0.173199996f,0.181470007f,-0.311479986f,-0.40090999f,0.0364199989f,0.0645700023f,0.484439999f,-0.0186199993f,-0.544030011f,-0.0540699996f,0.456050009f,0.0707599968f,-0.57141f,0.169239998f,0.172959998f,-0.225439996f,-0.0945099965f,0.330779999f,0.408459991f,-0.387519985f,-0.394340008f,0.276950002f,0.410589993f,0.297890007f,-0.219679996f,-0.336250007f,-0.0199800003f,-0.0195899997f,-0.0957200006f,-0.0626399964f,0.442849994f,-0.158500001f,-0.546840012f,0.123429999f,0.572229981f,0.225679994f,-0.677330017f,-0.0983799994f,0.481590003f,-0.198890001f,-0.462489992f,0.116130002f,0.170589998f,-0.0557699986f,0.0410199985f,0.488359988f,0.52256f,-0.427269995f,-0.518109977f,0.05669f,0.228630006f,0.0280499998f,-0.181759998f,-0.0688700005f,0.0548500009f,-0.0820799991f,0.380549997f,0.626890004f,0.361880004f,-0.106260002f,-0.51463002f,-0.189500004f,0.0471599996f,-0.0358900018f,-0.148149997f,-0.0520399995f,0.314770013f,0.131799996f,-0.696049988f,0.106550001f,0.41038999f,-0.472790003f,-0.172240004f,-0.236029997f,-0.149069995f,0.0330299996f,-0.27768001f,-0.0221999995f,0.0577000007f,0.0399999991f,-0.141760007f,-0.261909992f,0.195209995f,0.037969999f,-0.321640015f,0.196030006f,0.625680029f,0.32802999f,-0.242750004f,-0.287829995f,-0.0647599995f,-0.0443499982f,-0.176689997f,0.084739998f,0.257939994f,0.111680001f,0.191389993f,-0.23105f,-0.00338999997f,0.472059995f,0.176200002f,-0.360089988f,-0.518249989f,-0.22394f,0.211319998f,0.0546999983f,0.0386900008f,0.133149996f,-0.0361800008f,-0.300020009f,0.00536999991f,0.63598001f,0.0971700028f,-0.291649997f,-0.43197f,0.00953000039f,0.240140006f,-0.0930600017f,-0.0328399986f,0.108099997f,-0.161449999f,-0.246089995f,-0.0259199999f,0.428050011f,0.664900005f,0.0575099997f,-0.166820005f,-0.388680011f,-0.0937800035f,-0.112499997f,-0.132909998f,0.413679987f,-0.113370001f,-0.526719987f,-0.521929979f,0.550660014f,0.991240025f,0.204449996f,-0.211899996f,-0.0482699983f,0.189740002f,-0.229839996f,-0.228579998f,0.0294100009f,0.0267500002f,-0.144810006f,0.231969997f,0.805840015f,0.205320001f,-1.01575994f,-0.526520014f,0.1822f,0.12314f,0.0802399963f,-0.0146599999f,0.0104999999f,-0.252719998f,-0.201110005f,-0.0918499976f,0.224130005f,0.446280003f,-0.327690005f,-0.467949986f,0.419099987f,-0.119759999f,-0.523819983f,0.0761800036f,0.714139998f,0.683860004f,-0.081840001f,-0.218229994f,-0.330729991f,0.0189599991f,0.0606000014f,-0.330779999f,-0.19506f,0.139009997f,0.272980005f,0.106260002f,-0.00179000001f,-0.0459499992f,-0.231680006f,-0.318260014f,0.0956699997f,0.403329998f,0.334120005f,-0.168219998f,-0.272399992f,0.0342399999f,0.0238899998f,-0.12111f,-0.128030002f,0.26771f,0.655569971f,-0.0673300028f,-0.602649987f,-0.0105900001f,0.284689993f,0.315840006f,0.18152f,0.161109999f,-0.074819997f,-0.502870023f,-0.584810019f,0.0242800005f,0.298669994f,0.220599994f,0.402460009f,0.0623500012f,-0.263940006f,-0.556710005f,-0.23105f,0.211219996f,0.217889994f,0.0492900014f,-0.100019999f,-0.194240004f,-0.0785500035f,0.141090006f,0.0942699984f,0.0117499996f,-0.332910001f,-0.192450002f,-0.0388900004f,0.497209996f,0.511529982f,0.00913999975f,0.00798000023f,-0.00473999977f,-0.179680005f,-0.843230009f,-0.105729997f,0.617940009f,0.10447f,-0.226449996f,-0.27057001f,0.078019999f,0.429210007f,0.256879985f,0.419679999f,0.0523299985f,-0.276179999f,-0.322169989f,-0.496149987f,-0.111919999f,-0.266739994f,-0.141430005f,0.37924999f,0.508580029f,0.0437700003f,-0.339830011f,-0.393269986f,0.0800499991f,0.209910005f,-0.0904899985f,-0.330689996f,-0.209769994f,0.19506f,-0.111919999f,-0.54707998f,-0.174940005f,0.193230003f,0.240720004f,0.445120007f,0.0125799999f,-0.125320002f,0.132719994f,0.37233001f,-0.155839995f,-0.400090009f,0.0936399996f,0.32517001f,0.36846f,0.236080006f,-0.0842100009f,-0.401010007f,0.164739996f,0.531750023f,0.355399996f,0.391140014f,-0.0572200008f,-0.413780004f,-0.0947000012f,-0.32111001f,-0.230130002f,-0.217749998f,0.154630005f,0.613290012f,0.168899998f,-0.58713001f,-0.686760008f,0.406379998f,0.294459999f,-0.244790003f,-0.01229f,0.304129988f,-0.310759991f,-0.524980009f,-0.466019988f,0.100649998f,0.434819996f,-0.347229987f,0.423790008f,0.318349987f,-0.556320012f,-0.406619996f,0.675109982f,0.694209993f,-0.115740001f,-0.227709994f,-0.0134500004f,0.158350006f,-0.104180001f,-0.0329900011f,-0.0877399966f,0.34799999f,0.287250012f,-0.0207000002f,0.0754000023f,0.153420001f,0.0424700007f,0.0332800001f,-0.0373900011f,-0.624419987f,-0.407299995f,-0.0999300033f,0.235400006f,0.47626999f,-0.0122400001f,-0.637040019f,-0.216729999f,0.563910007f,0.27700001f,-0.114189997f,-0.207790002f,-0.529910028f,-0.504469991f,0.285459995f,0.745769978f,0.270130008f,-0.138520002f,-0.0896700025f,-0.169909999f,-0.07773f,-0.288069993f,-0.380409986f,0.185680002f,0.573099971f,0.330689996f,-0.438829988f,-0.384279996f,0.182830006f,0.541660011f,0.226019993f,-0.301039994f,-0.617649972f,-0.437090009f,0.0773399994f,0.459540009f,0.552110016f,0.170450002f,-0.191239998f,-0.631290019f,0.0969299972f,0.470079988f,0.0586699992f,-0.409139991f,-0.311969995f,0.179969996f,0.170059994f,-0.0373400003f,-0.187230006f,0.0449299999f,-0.0220100004f,-0.0361299999f,0.122029997f,0.320630014f,-0.0309100002f,-0.0531600006f,0.342489988f,0.302249998f,-0.0513699986f,-0.322120011f,-0.198789999f,-0.0922800004f,0.00798000023f,0.32604f,0.457599998f,0.389160007f,-0.197390005f,-0.405750006f,0.0533999987f,0.280290008f,0.120389998f,-0.370249987f,-0.161160007f,-0.00328999991f,-0.205320001f,-0.322659999f,0.113279998f,0.432500005f,0.163430005f,-0.430810004f,-0.666980028f,-0.28512001f,-0.0246699993f,0.125420004f,0.29073f,0.480479985f,0.05088f,-0.674910009f,-0.566429973f,0.0754500031f,0.0497200005f,0.0188599993f,0.0173199996f,-0.0128699997f,0.367439985f,0.357340008f,0.280429989f,0.447539985f,0.105829999f,-0.611310005f,-0.540120006f,0.166869998f,0.191870004f,0.104089998f,0.0205099992f,0.0967300013f,0.239319995f,-0.169039994f,0.0684399977f,0.177220002f,0.260170013f,0.0426600017f,-0.535380006f,-0.749450028f,-0.514869988f,0.0674199983f,0.183410004f,0.485799998f,0.488310009f,-0.13673f,-0.676460028f,-0.432209998f,-0.194629997f,0.339679986f,0.664229989f,0.0104f,-0.582629979f,-0.534550011f,0.0172700007f,0.00879999995f,0.145199999f,0.322609991f,0.0265500005f,-0.130930007f,-0.070129998f,0.193269998f,0.344179988f,-0.147080004f,-0.2148f,0.127250001f,0.0384000018f,-0.329620004f,-0.125269994f,0.757529974f,0.351920009f,-0.222969994f,-0.123630002f,-0.272980005f,0.114969999f,0.558539987f,0.379489988f,-0.0125799999f,-0.364160001f,-0.459729999f,0.0593499988f,0.529720008f,0.49673f,0.179680005f,-0.0853699967f,-0.349649996f,-0.211319998f,-0.0981400013f,-0.0189100001f,0.451889992f,0.0474999994f,-0.137889996f,-0.166769996f,-0.0348200016f,-0.418520004f,-0.442699999f,0.708580017f,0.344999999f,-0.291559994f,-0.494019985f,-0.305530012f,0.198740005f,0.240769997f,0.00982000027f,-0.00439999998f,-0.0377300009f,-0.387129992f,-0.495180011f,-0.0176100004f,0.524980009f,0.315160006f,-0.154579997f,-0.587759972f,-0.113899998f,0.453150004f,0.322169989f,0.0904899985f,0.0460000001f,-0.037969999f,-0.779579997f,-0.21446f,0.707130015f,0.696200013f,0.116559997f,-0.157429993f,0.207200006f,-0.255620003f,-0.221469998f,-0.158059999f,-0.288989991f,0.430319995f,0.454259992f,-0.349979997f,-0.537599981f,0.0677099973f,0.435059994f,0.230079994f,-0.00285000005f,0.190420002f,-0.269549996f,-0.791960001f,-0.205459997f,0.358880013f,0.426259995f,-0.0330299996f,0.0975600034f,0.0912199989f,-0.236469999f,-0.0874999985f,-0.0800499991f,0.391869992f,0.380360007f,-0.109650001f,-0.232979998f,-0.481299996f,-0.263940006f,0.547950029f,0.935370028f,0.0784000009f,-0.745869994f,-0.647729993f,-0.349839985f,0.529089987f,1.09923995f,0.41712001f,-0.531409979f,-0.898760021f,-0.414700001f,0.109020002f,0.381570011f,1.06877005f,0.32416001f,-0.831239998f,-0.755400002f,0.0211800002f,0.706160009f,0.57397002f,0.0927700028f,-0.504899979f,-0.23071f,-0.324880004f,0.0462399982f,0.574069977f,0.483819991f,0.0282899998f,-0.681930006f,-0.136539996f,0.115259998f,0.157480001f,0.103749998f,0.239130005f,0.305779994f,-0.440090001f,-0.803380013f,-0.107620001f,0.798780024f,0.433270007f,-0.316419989f,-0.51394999f,-0.445270002f,-0.237240002f,-0.0998800024f,0.188099995f,0.327690005f,0.100359999f,0.1096f,-0.169379994f,-0.350419998f,-0.449620008f,-0.41881001f,0.313520014f,0.836989999f,0.203240007f,-0.611119986f,-0.56904f,0.216150001f,0.744369984f,0.266409993f,-0.166720003f,-0.424230009f,-0.434289992f,-0.155399993f,0.354680002f,0.536539972f,0.551379979f,0.151820004f,-0.375279993f,-0.156660005f,0.47931999f,0.46698001f,-0.147660002f,0.0579000004f,-0.455379993f,-0.600619972f,0.159419999f,0.70678997f,0.880469978f,-0.0255900007f,-0.620549977f,-0.489279985f,-0.172529995f,-0.100699998f,0.277579993f,0.369139999f,-0.063699998f,-0.343120009f,-0.654500008f,-0.231240004f,0.200289994f,0.224910006f,0.183500007f,0.282999992f,0.197970003f,-0.574549973f,-0.902629972f,0.0738100037f,0.589450002f,0.31081f,-0.107129999f,-0.247299999f,0.141719997f,-0.35661f,-0.475160003f,0.813440025f,0.96995002f,-0.266739994f,-0.651260018f,-0.470270008f,-0.0252500009f,0.228870004f,0.157580003f,0.373679996f,0.239179999f,-0.392980009f,-0.271530002f,0.422729999f,0.675199986f,0.460209996f,-0.216930002f,-0.565219998f,-0.701319993f,-0.261519998f,0.568750024f,0.896440029f,0.417650014f,-0.302920014f,-0.766089976f,-0.680230021f,0.0236499999f,0.542580009f,0.675109982f,0.186499998f,-0.497260004f,-0.774699986f,-0.100850001f,0.395350009f,0.332720011f,0.0346300006f,-0.291409999f,-0.420599997f,-0.528940022f,-0.100560002f,0.222299993f,0.396950006f,0.289480001f,0.140220001f,-0.174360007f,-0.0530599989f,0.0903500021f,-0.0348699987f,0.0857099965f,0.136250004f,0.0160099994f,-0.615040004f,-0.220939994f,0.397089988f,0.743550003f,0.464080006f,-0.451889992f,-0.872739971f,-0.400819987f,0.194729999f,0.384279996f,0.493589997f,-0.0813499987f,-0.484640002f,-0.331270009f,-0.031440001f,-0.0493800007f,0.28560999f,0.778370023f,0.542630017f,-0.197339997f,-0.738950014f,-0.619340003f,0.0128199998f,0.503210008f,0.499289989f,0.0850299969f,-0.709259987f,-0.580739975f,0.0167399999f,0.551090002f,0.631529987f,-0.0644199997f,-0.301759988f,-0.0265500005f,-0.0386000015f,-0.253149986f,0.0819799975f,0.469449997f,0.154730007f,-0.25266999f,-0.10413f,0.0604600012f,0.193949997f,-0.113569997f,-0.118210003f,0.0931999981f,0.0529600009f,-0.267470002f,-0.589110017f,0.183650002f,0.362610012f,0.284299999f,0.0917999968f,-0.352499992f,-0.324739993f,-0.258379996f,-0.0134500004f,0.431870013f,-0.0177500006f,-0.43520999f,-0.36609f,-0.460649997f,0.069310002f,0.565460026f,0.334309995f,0.129910007f,-0.0309100002f,-0.729569972f,-0.18457f,0.568069994f,0.584900022f,0.355010003f,0.0653899983f,-0.0823699981f,-0.360579997f,0.0257300008f,0.358009994f,0.389889985f,0.151150003f,-0.298860013f,-0.681829989f,-0.499150008f,0.375860006f,0.521879971f,0.0287800003f,-0.171800002f,-0.333350003f,-0.397819996f,-0.449090004f,-0.0480300002f,0.552550018f,0.496630013f,-0.159270003f,-0.564779997f,-0.00953000039f,-0.0290699992f,-0.127880007f,0.358500004f,0.859480023f,-0.151529998f,-1.33870006f,-0.385390013f,0.40783f,0.643329978f,0.51177001f,0.229699999f,0.0403899997f,-0.307179987f,-0.502240002f,-0.146789998f,0.438250005f,0.352109998f,-0.242709994f,-0.0754000023f,0.099059999f,-0.355789989f,-0.174119994f,0.176589996f,0.638199985f,0.240480006f,-0.601059973f,-0.490830004f,0.264039993f,0.481489986f,-0.0318300016f,-0.0657299981f,-0.243919998f,-0.135480002f,-0.143209994f,-0.0348200016f,0.641640007f,0.398059994f,-0.0832900032f,-0.147860005f,-0.0309999995f,0.000579999993f,-0.0155300004f,0.211649999f,-0.135810003f,-0.486140013f,-0.27294001f,-0.18355f,0.256390005f,0.555980027f,0.0980399996f,-0.202419996f,0.250440001f,-0.351440012f,-0.84604001f,-0.13572f,0.599219978f,0.614409983f,-0.179680005f,-0.33987999f,-0.361589998f,0.0922399983f,0.21446f,0.00362999993f,0.248659998f,-0.0164899994f,-0.611940026f,-0.62668997f,0.184619993f,0.756950021f,0.406960011f,-0.0311999992f,-0.294270009f,-0.462870002f,-0.583019972f,-0.432399988f,0.435449988f,0.790459991f,0.77135998f,-0.175280005f,-0.616490006f,0.0127699999f,0.253109992f,-0.0417400002f,0.162760004f,0.719699979f,-0.325610012f,-0.673560023f,-0.00966999959f,0.761690021f,0.800140023f,0.0414000005f,-0.457890004f,-0.13707f,0.0866300017f,-0.166040003f,-0.0731299967f,0.171849996f,0.17069f,-0.362170011f,-0.0840599984f,0.0316299982f,0.118790001f,-0.0630199984f,-0.245800003f,-0.106310003f,-0.460209996f,-0.228630006f,-0.178619996f,0.0854599997f,0.608749986f,0.0703700036f,-0.57595998f,-0.484250009f,-0.186550006f,0.213149995f,0.483480006f,0.502529979f,0.216150001f,-0.481489986f,-0.247930005f,0.0806799978f,-0.150519997f,0.061280001f,0.303119987f,0.570249975f,0.0211800002f,-0.870079994f,-0.523909986f,0.7421f,1.19132996f,0.328990012f,-0.652859986f,-0.686380029f,-0.242899999f,-0.107419997f,0.0931100026f,0.812659979f,0.774550021f,-0.424030006f,-0.445030004f,0.201590002f,-0.103550002f,-0.378619999f,-0.100170001f,-0.118639998f,-0.266550004f,-0.278299987f,-0.0275699999f,0.294800013f,0.345679998f,0.0954300016f,-0.210590005f,-0.458999991f,-0.158739999f,-0.0890899971f,-0.113860004f,0.172240004f,0.164639995f,0.355690002f,-0.329530001f,-0.457599998f,0.0789799988f,0.422490001f,0.372570008f,-0.36522001f,-0.139640003f,0.124690004f,-0.0101600001f,-0.0529100001f,0.289959997f,0.745679975f,0.0575099997f,-0.475690007f,-0.128030002f,0.11908f,-0.060800001f,0.171849996f,0.381999999f,0.324880004f,0.0696500018f,-0.477429986f,-0.232260004f,0.273559988f,0.496100008f,-0.246429995f,-0.336930007f,-0.171320006f,-0.216350004f,0.340790004f,0.675109982f,0.62349999f,-0.301759988f,-0.644010007f,-0.43520999f,0.28323999f,0.586019993f,0.136109993f,-0.0872099996f,-0.329769999f,-0.42741999f,-0.689760029f,-0.0617199987f,0.865580022f,0.41038999f,-0.0705699995f,-0.0653399974f,-0.605560005f,-0.59424001f,0.264950007f,0.667180002f,0.722989976f,-0.0741000026f,-0.799409986f,-0.524980009f,-0.131119996f,-0.0385500006f,0.0964000002f,0.685940027f,0.267619997f,-0.341230005f,-0.423990011f,-0.21717f,0.00982000027f,-0.0873500034f,0.0534900017f,-0.200770006f,-0.193660006f,0.217460006f,0.304659992f,0.101470001f,0.0127699999f,0.30557999f,-0.0377300009f,-0.503359973f,-0.215379998f,0.187329993f,0.165849999f,0.0650999993f,0.114289999f,0.379489988f,0.298379987f,-0.0440099984f,0.0307599995f,0.450349987f,0.486140013f,-0.579289973f,-0.607299984f,0.0580900013f,0.523039997f,0.443960011f,0.0568300001f,0.0254900008f,-0.467319995f,-0.745679975f,-0.458570004f,0.0290699992f,0.376969993f,0.199900001f,-0.202749997f,-0.307179987f,-0.32348001f,-0.137309998f,-0.181470007f,0.258040011f,0.450679988f,-0.290639997f,-0.635349989f,-0.548290014f,0.0721599981f,0.629499972f,0.40072f,0.145150006f,0.0640399978f,-0.144960001f,-0.444739997f,-0.332139999f,0.667999983f,0.632640004f,-0.0708599985f,0.305530012f,0.293540001f,-0.0997299999f,-0.0200200006f,0.58732003f,0.804970026f,-0.53779f,-0.822099984f,0.0954300016f,0.439749986f,0.173590004f,-0.218960002f,0.155839995f,0.41881001f,-0.337550014f,-0.820309997f,-0.170159996f,0.313369989f,0.173690006f,-0.133880004f,-0.0654399991f,0.0100600002f,-0.535040021f,-0.49842f,0.31419f,0.39278999f,0.101910003f,-0.707710028f,-0.686860025f,0.147909999f,0.414600015f,0.376340002f,-0.0616200007f,-0.11507f,-0.601589978f,-0.586350024f,0.181960002f,0.526139975f,0.640820026f,0.206139997f,-0.601779997f,-0.113080002f,0.597769976f,0.435739994f,0.358740002f,-0.237529993f,-0.448599994f,-0.323529989f,-0.223790005f,0.070129998f,0.490060002f,0.507659972f,0.0917000026f,-0.17915f,-0.430229992f,-0.490060002f,-0.286139995f,0.300359994f,0.552789986f,0.271050006f,-0.399459988f,-0.708530009f,0.0903000012f,0.556029975f,0.261570007f,-0.109499998f,-0.485029995f,-0.3495f,0.0153299998f,0.112839997f,0.410149992f,0.333490014f,-0.158450007f,0.00977000035f,0.145249993f,0.0116999997f,-0.516269982f,-0.277920008f,0.691839993f,0.421079993f,-0.226699993f,-0.341230005f,0.139349997f,0.134650007f,-0.0637499988f,0.323139995f,0.206670001f,-0.659630001f,-0.642509997f,0.266939998f,0.551919997f,0.0266999993f,-0.228f,0.256590009f,0.148729995f,-0.248799995f,-0.375279993f,-0.0401399992f,0.413060009f,-0.0414000005f,-0.605019987f,-0.0857499987f,0.451270014f,-0.01083f,-0.0717300028f,-0.0978500023f,-0.0406300016f,0.0215700008f,-0.0896200016f,0.148049995f,0.0357399993f,0.525849998f,0.538039982f,-0.240580007f,-0.331900001f,-0.204009995f,0.198980004f,0.211940005f,0.176009998f,0.510029972f,0.07632f,-0.478540003f,-0.302920014f,-0.0110299997f,0.23274f,0.534359992f,0.0224900004f,-0.135769993f,-0.573300004f,-0.813199997f,-0.168459997f,0.740310013f,1.29850996f,-0.161929995f,-1.16802001f,-0.990029991f,-0.0947000012f,0.509980023f,0.262970001f,0.102300003f,0.269939989f,-0.184039995f,-0.789499998f,-0.419050008f,0.567969978f,0.77372998f,-0.180840001f,-0.304760009f,-0.253729999f,-0.180309996f,0.0765699968f,0.372570008f,0.325560004f,0.200870007f,-0.0609400012f,-0.452179998f,0.125609994f,0.618520021f,0.315690011f,-0.189649999f,-0.163670003f,-0.079520002f,0.0373900011f,0.505479991f,0.323819995f,0.0443999991f,-0.119659998f,-0.317530006f,-0.0712400004f,0.0920900032f,0.193470001f,0.122029997f,-0.000190000006f,-0.346500009f,-0.515980005f,-0.167740002f,0.119709998f,0.0796099976f,-0.154630005f,0.147949994f,0.19066f,-0.319079995f,-0.638979971f,-0.151199996f,0.562849998f,0.566959977f,0.0862900019f,-0.700500011f,-0.49417001f,0.00392000005f,0.120679997f,0.207640007f,0.213540003f,0.313419998f,-0.221420005f,-0.397529989f,0.26857999f,0.511049986f,0.255140007f,0.17577f,-0.101230003f,-0.215859994f,-0.313080013f,-0.276609987f,0.411850005f,0.761829972f,0.172959998f,-0.576780021f,-0.337119997f,0.0231699999f,0.0944100022f,0.0860899985f,0.279320002f,0.0758399963f,-0.144089997f,-0.0183300003f,-0.527100027f,-0.28560999f,0.48943001f,0.517769992f,0.110710002f,0.0505400002f,-0.0367100015f,-0.613049984f,-0.261229992f,0.804539979f,0.791769981f,-0.167349994f,-0.737160027f,-0.370490015f,0.138960004f,0.227229998f,0.0708099976f,0.213540003f,0.254509985f,-0.36372f,-0.441980004f,0.291359991f,0.397379994f,-0.236949995f,-0.326959997f,0.0368099995f,-0.0659700036f,-0.313899994f,0.0197299998f,0.679560006f,0.319370002f,-0.685850024f,-0.564540029f,-0.00246999995f,0.350470006f,0.0808200017f,-0.110040002f,0.151969999f,-0.000679999997f,-0.330489993f,-0.278450012f,0.286139995f,0.713119984f,0.22631f,-0.603089988f,-0.271580011f,-0.0992999971f,0.00197999994f,0.432929993f,0.585870028f,0.462289989f,-0.261570007f,-0.729520023f,-0.212669998f,0.296389997f,0.164399996f,0.26383999f,0.132039994f,0.21886f,0.0100100003f,-0.418040007f,-0.212040007f,0.230419993f,0.89677f,0.168750003f,-0.752929986f,-0.670029998f,-0.327109993f,0.174360007f,0.749639988f,0.656149983f,-0.396950006f,-0.92671001f,-0.253149986f,0.353219986f,0.256639987f,0.308099985f,0.0674199983f,-0.0755499974f,-0.169039994f,-0.292089999f,-0.138769999f,0.154049993f,0.483090013f,0.275449991f,-0.50466001f,-0.645359993f,0.070129998f,0.647300005f,0.396030009f,-0.199320003f,-0.17577f,-0.309359998f,-0.01461f,0.241589993f,0.0772399977f,-0.0876400024f,-0.101470001f,-0.18626f,-0.203960001f,-0.0825600028f,0.208989993f,0.515500009f,-0.169909999f,-0.333829999f,-0.220750004f,0.131750003f,0.540790021f,0.269840002f,0.203869998f,0.0725999996f,-0.13335f,-0.327199996f,-0.124880001f,0.463789999f,0.430029988f,-0.248950005f,-0.0959599987f,0.36928001f,0.0255900007f,-0.244790003f,-0.511389971f,-0.0381099992f,0.622770011f,0.31942001f,-0.673709989f,-0.977400005f,0.0724999979f,0.182679996f,-0.137799993f,0.380789995f,0.526910007f,-0.284689993f,-0.729420006f,-0.64714998f,-0.0340999998f,0.657500029f,0.0489000008f,-0.206190005f,0.0545100011f,-0.0306599997f,-0.225920007f,0.0409200005f,0.604250014f,0.485989988f,-0.150659993f,-0.423940003f,-0.0710000023f,0.191489995f,0.613919973f,0.345580012f,-0.305000007f,-0.0957700014f,-0.0515599996f,-0.165370002f,0.0614299998f,0.446330011f,0.625769973f,0.291460007f,-0.489329994f,-0.694890022f,0.0774800032f,0.506789982f,0.255860001f,-0.139589995f,-0.310660005f,-0.365949988f,-0.244299993f,-0.0996799991f,0.426979989f,0.506210029f,-0.467180014f,-0.44938001f,-0.295520008f,-0.273710012f,-0.0829999968f,0.000630000024f,0.348820001f,0.0496199988f,-0.452179998f,-0.763379991f,-0.140220001f,0.828920007f,0.676079988f,0.0537399985f,-0.373250008f,-0.523039997f,-0.0225399993f,0.588140011f,0.372669995f,-0.0716300011f,-0.39971f,-0.00855999999f,-0.0855600014f,0.0116999997f,0.453880012f,0.371219993f,0.303600013f,0.0340000018f,-0.107469998f,-0.145290002f,0.194869995f,0.126530007f,-0.01712f,-0.140750006f,-0.0231199991f,-0.30320999f,-0.404449999f,0.228579998f,0.217460006f,0.204830006f,0.0120000001f,-0.220359996f,-0.202659994f,-0.140169993f,-0.148440003f,0.150179997f,0.340460002f,0.0642800033f,-0.364639997f,-0.427709997f,0.12421f,0.378670007f,0.00716000004f,-0.125660002f,0.00711000012f,0.0728899986f,-0.0266999993f,-0.27632001f,0.0718699992f,0.242510006f,0.141379997f,-0.153709993f,-0.273180008f,0.0101600001f,-0.01504f,0.131119996f,0.249329999f,0.108000003f,-0.327160001f,-0.346450001f,-0.0974600017f,0.244299993f,0.366430014f,-0.340550005f,-0.301670015f,0.221129999f,0.307859987f,0.000150000007f,-0.475980014f,0.0366099998f,0.421710014f,0.0360299982f,-0.210539997f,-0.419679999f,-0.10447f,0.22191f,0.217940003f,0.0270399991f,0.0149900001f,-0.113760002f,-0.29934001f,0.0320199989f,0.195309997f,0.227569997f,-0.157389998f,-0.196710005f,0.0743400007f,0.0391299985f,-0.0514600016f,-0.127739996f,0.22428f,0.348870009f,-0.187810004f,-0.48556f,-0.152549997f,0.241549999f,0.309740007f,-0.0407299995f,-0.156709999f,-0.158450007f,-0.233759999f,-0.137020007f,0.153860003f,0.190029994f,0.286720008f,-0.0614299998f,-0.501519978f,-0.0682900026f,-0.108829997f,-0.080629997f,0.0326999985f,0.224959999f,0.0188599993f,-0.171560004f,-0.0439199992f,0.168950006f,0.357529998f,0.426109999f,0.302630007f,-0.163430005f,0.0541700013f,-0.248799995f,-0.307419986f,0.162560001f,0.552739978f,0.370200008f,-0.370110005f,-0.496630013f,-0.191630006f,0.35966f,0.885070026f,0.437819988f,-0.606719971f,-0.65793997f,-0.219050005f,0.287640005f,0.199269995f,-0.0823199973f,-0.143209994f,-0.339590013f,-0.292569995f,-0.606519997f,0.01248f,0.652960002f,0.099969998f,-0.177990004f,-0.32416001f,-0.351289988f,-0.251459986f,0.0417900011f,0.435350001f,0.396899998f,-0.357190013f,-0.744949996f,-0.0821800008f,0.532519996f,0.587029994f,0.253199995f,-0.0893800035f,-0.142049998f,-0.00406000018f,-0.266449988f,-0.063409999f,0.629790008f,0.397379994f,0.0656799972f,-0.269069999f,-0.391189992f,0.1866f,0.647300005f,0.361640006f,-0.183170006f,-0.142010003f,0.0488499999f,-0.0505400002f,-0.219640002f,0.458130002f,0.441689998f,-0.446909994f,-0.715690017f,-0.614989996f,0.173730001f,0.593999982f,0.0599300005f,-0.0692600012f,0.318349987f,-0.488599986f,-1.04191995f,-0.136979997f,0.589590013f,0.384079993f,-0.403039992f,-0.398110002f,-0.12929f,0.244540006f,0.231729999f,-0.327780008f,0.0845900029f,0.575380027f,0.179350004f,-0.309450001f,-0.239219993f,-0.0350699984f,0.168410003f,0.203290001f,0.431340009f,0.428050011f,-0.127110004f,-0.25011f,-0.371509999f,0.22834f,0.470660001f,-0.00488999998f,-0.128560007f,-0.239130005f,-0.115209997f,-0.115359999f,-0.01291f,0.173150003f,0.190520003f,-0.240189999f,-0.23003f,-0.216680005f,0.0323599987f,0.649619997f,0.422679991f,-0.326909989f,-0.725799978f,-0.100989997f,0.478929996f,0.344570011f,-0.0134899998f,-0.236320004f,-0.265199989f,-0.0901599973f,-0.0521400012f,0.232449993f,0.274190009f,0.324490011f,0.162900001f,-0.696049988f,-0.818229973f,0.174899995f,0.854160011f,0.475980014f,-0.0964000002f,-0.514919996f,-0.783890009f,-0.427520007f,0.727880001f,0.635010004f,-0.052480001f,-0.349790007f,-0.283380002f,0.223989993f,0.123960003f,0.230810001f,0.196470007f,0.242219999f,0.143649995f,-0.573440015f,-0.60453999f,0.149550006f,0.59206003f,0.531989992f,0.239270002f,-0.126000002f,-0.0896200016f,-0.545440018f,-0.285849988f,0.614120007f,0.566190004f,-0.0280499998f,-0.38312f,-0.178619996f,0.134069994f,0.0333699994f,-0.10689f,0.294360012f,0.22225f,-0.270900011f,-0.76898998f,-0.251650006f,0.68870002f,0.382779986f,-0.235259995f,-0.230900005f,0.0574100018f,-0.129910007f,-0.393370003f,0.088030003f,0.490880013f,-0.0946500003f,-0.548629999f,-0.0213799998f,0.320140004f,0.0910800025f,0.145249993f,0.237969995f,-0.076229997f,-0.638689995f,-0.572520018f,0.348529994f,0.980449975f,0.313320011f,-0.622240007f,-0.332329988f,0.084739998f,0.0188100003f,0.312790006f,0.606379986f,0.150570005f,-0.571259975f,-0.244639993f,-0.02709f,-0.124449998f,0.264910012f,0.169579998f,0.0802899972f,0.0797600001f,-0.10926f,-0.558589995f,-0.291990012f,0.578809977f,0.690680027f,0.0327900015f,-0.381760001f,-0.227909997f,-0.205899999f,0.0639400035f,0.208749995f,0.380259991f,0.498519987f,-0.0960600004f,-0.449330002f,0.111780003f,0.305000007f,0.183840007f,0.190610006f,0.0634599999f,-0.175569996f,-0.749109983f,-0.345779985f,0.39684999f,0.637719989f,0.275020003f,-0.508239985f,-0.546019971f,-0.0428999998f,0.268489987f,-0.0561099984f,-0.0741500035f,0.159130007f,0.000769999984f,-0.365750015f,-0.512690008f,-0.136639997f,0.0642300025f,0.181429997f,0.148680001f,0.034049999f,-0.222540006f,-0.266449988f,-0.00584999984f,0.133059993f,0.507179976f,0.292380005f,-0.0854199976f,-0.0811600015f,-0.243770003f,0.0279600006f,0.545870006f,0.472160012f,-0.261759996f,-0.337749988f,0.142299995f,0.232549995f,0.408270001f,0.231779993f,-0.0576499999f,-0.257310003f,-0.238979995f,-0.362610012f,0.294990003f,0.887870014f,0.0486599989f,-0.719850004f,-0.581030011f,0.160479993f,0.190129995f,0.126479998f,0.435790002f,0.338620007f,-0.608940005f,-1.17449999f,-0.86500001f,0.727299988f,1.23771f,0.219439998f,-0.518790007f,-0.848070025f,-0.252770007f,-0.129580006f,0.331559986f,0.459580004f,0.0658800006f,-0.116999999f,-0.469980001f,-0.273030013f,0.397139996f,0.379970014f,0.111730002f,0.293929994f,-0.0220999997f,-0.284790009f,-0.359710008f,0.113420002f,0.71627003f,0.194340006f,0.0938799977f,0.0487099998f,-0.0882700011f,0.0560600013f,-0.127299994f,-0.0398500003f,-0.12184f,0.263209999f,0.318839997f,-0.478879988f,-0.413830012f,0.296249986f,0.259009987f,-0.285849988f,-0.344370008f,-0.0806799978f,0.311870009f,0.00304999994f,-0.222589999f,0.347030014f,0.535090029f,-0.189740002f,-0.84017998f,-0.220459998f,0.401789993f,0.100120001f,-0.0351100005f,0.244059995f,-0.122510001f,-0.376340002f,0.0584799983f,0.709879994f,0.281839997f,-0.596949995f,-0.223989993f,0.112839997f,0.12455f,-0.141519994f,0.044879999f,0.482169986f,0.235259995f,0.0710999966f,-0.136539996f,-0.498470008f,-0.323000014f,0.0828500018f,0.444059998f,0.455619991f,-0.388680011f,-0.693679988f,-0.0263100006f,0.461279988f,0.509790003f,-0.0106899999f,-0.439509988f,-0.485940009f,-0.316219985f,-0.0533000007f,0.297360003f,0.591579974f,0.279659986f,-0.0975999981f,-0.295760006f,-0.368990004f,-0.446429998f,0.106069997f,0.421810001f,0.535380006f,0.380459994f,-0.550849974f,-0.259200007f,0.531310022f,0.608359993f,0.407350004f,-0.190709993f,-0.760089993f,-0.294120014f,-0.105300002f,0.14181f,0.464080006f,0.324059993f,-0.224759996f,-0.910030007f,-0.263700008f,0.286139995f,0.447640002f,-0.0671800002f,-0.685890019f,-0.219679996f,0.0393700004f,-0.157140002f,0.00173999998f,0.298909992f,0.161449999f,-0.572329998f,-0.732420027f,0.132819995f,0.402170002f,-0.118309997f,-0.0832400024f,0.376920015f,0.355210006f,-0.353760004f,-0.956120014f,0.218140006f,0.893000007f,0.215959996f,-0.117239997f,0.0546099991f,0.427569985f,0.0348699987f,0.183939993f,0.876219988f,0.14418f,-0.517139971f,-0.28580001f,-0.0288299993f,0.115160003f,0.22766f,0.585680008f,0.438879997f,-0.303790003f,-0.640429974f,-0.540019989f,0.10413f,0.508099973f,-0.0516600013f,-0.148870006f,-0.22631f,-0.340409994f,-0.274239987f,-0.0312899984f,0.365119994f,0.245269999f,-0.218909994f,-0.650200009f,-0.689960003f,-0.172240004f,0.0574100018f,0.195639998f,0.594039977f,0.310079992f,-0.25097999f,-0.798009992f,-0.0213799998f,0.628579974f,0.200719997f,-0.0533000007f,0.0919900015f,0.42355001f,0.234919995f,0.0650099963f,0.099969998f,0.220019996f,0.0282899998f,-0.434870005f,-0.349790007f,0.239219993f,0.170249999f,-0.00851000007f,0.231969997f,0.304859996f,0.0279099997f,-0.295670003f,-0.02152f,-0.0153799998f,-0.0529600009f,-0.0445500016f,-0.371309996f,-0.410879999f,-0.122850001f,0.626980007f,0.422390014f,-0.0518999994f,-0.0333699994f,-0.308389992f,-0.732860029f,-0.571120024f,0.440290004f,0.752160013f,0.530969977f,-0.165460005f,-0.768260002f,-0.284590006f,-0.0412600003f,0.0615699999f,0.779680014f,0.527100027f,-0.543739974f,-0.573390007f,-0.369809985f,-0.222729996f,0.0145100001f,0.357959986f,0.589110017f,-0.138329998f,-0.575179994f,-0.59829998f,0.198789999f,0.760280013f,0.531220019f,0.0533500016f,-0.277819991f,-0.158450007f,-0.455419987f,0.189260006f,0.486380011f,0.0207499992f,-0.444880009f,-0.256060004f,0.276419997f,0.342629999f,0.344130009f,-0.0160099994f,0.0348699987f,0.0648100004f,-0.358260006f,-0.34088999f,0.518060029f,0.615620017f,0.0322600007f,-0.0419799984f,0.052480001f,0.0834800005f,-0.382050008f,-0.0255900007f,0.528119981f,0.245269999f,-0.160239995f,-0.574500024f,0.103119999f,0.303119987f,0.146750003f,0.0704699978f,-0.180260003f,-0.0326999985f,-0.367980003f,-0.374220014f,-0.053199999f,0.241060004f,0.36609f,0.151580006f,-0.187370002f,-0.295569986f,-0.205219999f,-0.0575600006f,-0.248899996f,-0.336250007f,0.152209997f,-0.0496199988f,-0.653829992f,0.175569996f,1.00783002f,0.419250011f,-0.0646200031f,-0.138429999f,-0.449330002f,-0.798690021f,-0.238159999f,0.868139982f,1.15602005f,0.0972200036f,-0.886759996f,-0.504760027f,0.437869996f,0.465530008f,0.1822f,-0.0834299996f,-0.0561500005f,0.0305700004f,-0.509500027f,-0.159710005f,0.43908f,0.505190015f,0.392839998f,-0.00110999995f,-0.33901f,-0.595690012f,-0.340499997f,0.463649988f,0.427899987f,-0.152209997f,-0.140699998f,-0.40832001f,-0.295430005f,-0.11163f,-0.253589988f,0.11806f,0.0361299999f,0.0471099988f,-0.309210002f,-0.130199999f,0.274479985f,0.0281499997f,-0.149159998f,-0.0611799993f,0.0817399994f,-0.389789999f,-0.289380014f,0.445270002f,0.933920026f,0.390949994f,-0.378089994f,-0.713850021f,0.315310001f,0.591289997f,-0.104230002f,0.152020007f,0.205709994f,-0.314240009f,-0.604979992f,0.405169994f,0.843230009f,0.690970004f,-0.00695999991f,-0.619239986f,-0.501860023f,-0.408650011f,-0.160050005f,0.145830005f,0.66523999f,0.582189977f,-0.279080003f,-0.739679992f,-0.330110013f,0.206479996f,0.127399996f,0.0452699997f,0.277630001f,-0.200289994f,-0.359219998f,-0.334560007f,0.204500005f,0.765550017f,0.261669993f,-0.552929997f,-0.784510016f,0.118160002f,0.0340999998f,-0.175620005f,0.404159993f,0.490440011f,-0.0141200004f,-0.232160002f,-0.387519985f,-0.40564999f,0.132819995f,0.108340003f,-0.0418399982f,0.0165899992f,-0.101860002f,-0.150370002f,0.10283f,0.648119986f,0.339049995f,-0.204929993f,-0.0676200017f,-0.251459986f,-0.128700003f,-0.0878800005f,0.209089994f,0.524489999f,-0.140699998f,-0.669499993f,-0.254940003f,0.603910029f,0.421519995f,-0.00168999995f,-0.339830011f,-0.150470003f,0.133300006f,-0.28106001f,0.0354500003f,0.510800004f,0.179100007f,-0.40158999f,-0.452760011f,-0.124449998f,0.15095f,0.344949991f,0.640380025f,0.548290014f,0.138380006f,-1.02629995f,-0.985430002f,0.597429991f,0.685989976f,0.0648600012f,-0.159510002f,0.0929099992f,-0.321249992f,-0.497839987f,0.226740003f,0.610920012f,0.306309998f,-0.337119997f,-0.432110012f,-0.37876001f,-0.250640005f,-0.102009997f,0.267129987f,0.599319994f,-0.0685800016f,-0.713270009f,-0.510850012f,-0.0729900002f,0.319029987f,0.391339988f,0.251899987f,-0.239219993f,-0.264230013f,0.0230199993f,0.169579998f,0.513080001f,0.611509979f,0.311100006f,-0.645699978f,-0.415960014f,0.138329998f,0.164930001f,0.521640003f,0.398160011f,-0.273809999f,-0.445219994f,-0.378089994f,-0.337889999f,0.325509995f,0.258430004f,-0.19743f,-0.276659995f,-0.382779986f,-0.168799996f,0.262679994f,0.281879991f,0.402460009f,-0.258089989f,-0.55418998f,-0.0267500002f,0.0736600012f,0.0342900008f,-0.21074f,0.0858500004f,0.153080001f,-0.0147500001f,-0.216199994f,-0.115309998f,0.39734f,0.338180006f,-0.157529995f,-0.18017f,0.0336599983f,-0.174850002f,-0.287690014f,0.30757001f,0.716849983f,0.281210005f,-0.265780002f,-0.789539993f,-0.344949991f,0.373829991f,0.539539993f,0.328359991f,-0.341670007f,-0.760479987f,-0.54084003f,0.199080005f,0.754960001f,0.593710005f,0.0315800011f,-0.0182799995f,-0.157480001f,-0.458759993f,-0.364740014f,0.268290013f,0.498470008f,0.290879995f,-0.0334200002f,-0.737699986f,-0.764590025f,0.00270999991f,0.739189982f,0.586260021f,0.147760004f,-0.563619971f,-0.331800014f,0.165370002f,0.0962999985f,0.0337099992f,-0.00987000018f,0.0980399996f,-0.202130005f,-0.00720999995f,0.216780007f,0.373829991f,0.328850001f,0.0958200023f,-0.353560001f,-0.527199984f,-0.341230005f,-0.171650007f,0.22529f,0.388440013f,0.252090007f,-0.523859978f,-0.740740001f,-0.165270001f,0.496149987f,0.677139997f,0.324790001f,-0.34819001f,-0.830320001f,-0.568459988f,0.0325499997f,0.745679975f,0.828289986f,0.17238f,-0.584900022f,-0.657209992f,-0.444590002f,0.128169999f,0.644879997f,0.604690015f,0.099440001f,-0.480960011f,-0.082510002f,0.40158999f,0.247299999f,0.174319997f,0.179199994f,-0.282420009f,-0.580940008f,-0.601149976f,0.355349988f,1.17585003f,0.11434f,-0.626209974f,0.0117499996f,-0.0235099997f,-0.280919999f,0.121550001f,0.477919996f,0.488270015f,-0.499779999f,-0.911189973f,-0.129240006f,0.317530006f,0.211610004f,0.199709997f,0.235890001f,0.0521400012f,-0.530539989f,-0.545729995f,-0.191389993f,0.139349997f,0.440290004f,0.034049999f,-0.12421f,-0.314339995f,-0.611310005f,-0.441350013f,0.506449997f,0.917670012f,0.441540003f,-0.215859994f,-0.720480025f,-0.0723100007f,-0.0806799978f,0.0914100036f,0.636409998f,0.151199996f,-0.352019995f,-0.182339996f,0.437240005f,0.54944998f,0.500310004f,0.100699998f,-0.333149999f,-0.469740003f,-0.309109986f,0.00798000023f,0.572520018f,0.613489985f,-0.239559993f,-0.701269984f,-0.284449995f,0.648750007f,0.69325f,-0.116269998f,-0.510510027f,-0.374359995f,-0.308490008f,0.0131599996f,0.0983299986f,0.203189999f,0.330199987f,0.0124300001f,-0.161500007f,-0.344909996f,-0.502579987f,-0.469980001f,0.00173999998f,0.776049972f,0.443670005f,-0.581570029f,-0.740069985f,-0.0238400009f,0.380019993f,0.100890003f,0.165419996f,0.110859998f,0.0907400027f,-0.50703001f,-0.439610004f,0.366279989f,0.539730012f,0.421469986f,-0.283380002f,-0.205950007f,-0.425579995f,-0.283479989f,0.391530007f,0.699970007f,0.466939986f,-0.433470011f,-0.912590027f,-0.391680002f,0.932900012f,0.763520002f,0.188679993f,-0.0757400021f,-0.747609973f,-0.814890027f,-0.0976999998f,0.877279997f,0.963569999f,0.01877f,-0.534940004f,-0.75395f,-0.46292001f,0.63598001f,0.875930011f,0.116760001f,-0.477329999f,-0.352450013f,-0.182539999f,0.0975100026f,0.522989988f,0.109449998f,-0.0979399979f,-0.166380003f,-0.135089993f,0.207010001f,-0.0638400018f,0.200580001f,0.477039993f,0.128169999f,-0.579100013f,-0.663739979f,0.0905900002f,0.0853200033f,0.0600199997f,0.386209995f,0.329039991f,-0.271970004f,-0.579729974f,0.0605099984f,0.612569988f,0.0311500002f,-0.320630014f,-0.0855600014f,-0.362320006f,0.0408699997f,0.0726500005f,-0.161500007f,0.463939995f,0.785969973f,0.362120003f,-0.710080028f,-0.433710009f,0.105439998f,0.01088f,0.212139994f,0.424710006f,0.273180008f,-0.481249988f,-0.422049999f,0.0921899974f,0.495570004f,0.326719999f,-0.33039999f,-0.502340019f,-0.202950001f,0.0263599996f,-0.0363200009f,0.125080004f,0.284350008f,-0.0272300001f,-0.484149992f,-0.408410013f,-0.063409999f,0.729380012f,0.183170006f,-0.661230028f,-0.105920002f,-0.127010003f,-0.136639997f,-0.124839999f,0.329479992f,0.271820009f,-0.145679995f,-0.0857499987f,-0.349020004f,-0.226889998f,0.0381099992f,0.348529994f,0.569180012f,0.354189992f,-0.257310003f,-0.480580002f,-0.194440007f,0.181810006f,0.530969977f,0.406960011f,-0.165030003f,-0.203769997f,-0.164059997f,-0.0651500002f,0.741810024f,0.364250004f,-0.378089994f,-0.138380006f,0.138139993f,-0.0154799996f,-0.295760006f,0.138429999f,0.343409985f,0.0305199996f,-0.117389999f,-0.0922800004f,0.198500007f,0.29896f,0.00889999978f,0.0751100034f,-0.236369997f,-0.670509994f,-0.335720003f,0.395449996f,0.64003998f,-0.0025200001f,-0.286909997f,-0.620890021f,-0.489329994f,0.226989999f,0.579050004f,0.303790003f,0.152600005f,-0.187079996f,-0.72183001f,-0.676660001f,-0.279799998f,0.253589988f,0.185340002f,0.185049996f,-0.124690004f,0.0203600004f,0.253879994f,-0.0136399996f,0.0926200002f,0.110859998f,0.268869996f,-0.160630003f,-0.727050006f,-0.274049997f,0.369809985f,0.377700001f,0.270280004f,0.430999994f,0.171120003f,-0.0538799986f,0.0609899983f,-0.0155699998f,0.140070006f,-0.209720001f,-0.762510002f,-0.351969987f,0.363189995f,0.419389993f,0.190129995f,0.0587200001f,-0.128999993f,-0.497119993f,-0.654500008f,-0.113899998f,0.352259994f,0.354099989f,-0.166329995f,-0.31031999f,-0.0876400024f,-0.0145100001f,-0.345239997f,-0.163479999f,0.280719995f,0.197630003f,-0.177599996f,-0.43671f,0.150370002f,0.463939995f,0.421229988f,0.164979994f,-0.0738599971f,-0.119609997f,-0.293689996f,-0.232649997f,0.147180006f,0.379920006f,0.17069f,-0.153180003f,0.198550001f,0.259829998f,0.0194000006f,-0.0569799989f,0.0457599983f,-0.0697500035f,-0.170780003f,0.0927200019f,0.214650005f,-0.0175100006f,-0.484640002f,-0.180800006f,0.284790009f,0.447640002f,-0.388680011f,-0.491510004f,0.0252500009f,0.360960007f,0.592450023f,0.269019991f,-0.162220001f,-0.618659973f,-0.48506999f,-0.0649600029f,0.47152999f,0.418570012f,-0.10114f,-0.545340002f,-0.0761800036f,0.563090026f,0.430810004f,-0.124399997f,-0.435110003f,-0.116420001f,-0.140750006f,-0.12455f,-0.120630004f,-0.0152399996f,0.585919976f,0.637090027f,-0.159659997f,-0.623160005f,-0.347950011f,-0.152649999f,0.0187199991f,0.53154999f,0.266939998f,-0.587660015f,-0.387320012f,0.313470006f,0.431679994f,0.0279600006f,-0.211459994f,-0.616050005f,-0.361449987f,0.0941699967f,-0.0197299998f,0.133440003f,0.119180001f,0.0177500006f,0.0661199987f,0.445030004f,0.0824699998f,-0.0729399994f,-0.0803899989f,0.0115599995f,0.148149997f,-0.164210007f,-0.230570003f,0.227860004f,0.92434001f,0.10684f,-0.637480021f,-0.191919997f,0.623740017f,-0.0939299986f,-0.0421800017f,0.501760006f,-0.323240012f,-0.466500014f,-0.538999975f,0.0730800033f,0.230759993f,-0.21277f,-0.056400001f,0.550999999f,-0.138040006f,-0.841390014f,-0.18897f,0.459580004f,0.497460008f,-0.145919994f,-0.178379998f,-0.340409994f,-0.165130004f,-0.236809999f,-0.360089988f,0.25959f,0.367980003f,0.439709991f,0.460649997f,-0.204689994f,-0.319950014f,0.120870002f,0.311340004f,0.374940008f,0.241009995f,-0.154290006f,-0.42572999f,0.201879993f,0.301090002f,-0.0170300007f,-0.141670004f,0.278739989f,0.390269995f,0.182249993f,0.0943600014f,-0.455619991f,-0.397000015f,0.134900004f,0.0368099995f,-0.355260015f,-0.216680005f,0.0570699982f,0.247350007f,-0.19743f,-0.423790008f,-0.186649993f,0.31505999f,0.528270006f,0.126770005f,-0.30171001f,-0.128370002f,-0.299540013f,-0.483619988f,-0.240869999f,-0.217120007f,0.344810009f,0.31182f,0.348289996f,0.329329997f,-0.158739999f,-0.274289995f,-0.119319998f,0.418709993f,0.445360005f,-0.675010026f,-0.563719988f,-0.000730000029f,-0.0137799997f,-0.00527000008f,0.198689997f,0.666400015f,0.1734f,-0.110229999f,-0.315109998f,-0.178570002f,0.0925699994f,0.116810001f,0.0726500005f,-0.190029994f,-0.144569993f,-0.0440099984f,0.150079995f,0.245900005f,0.0513200015f,-0.489089996f,-0.435350001f,-0.11507f,0.276849985f,0.346599996f,0.208749995f,0.279220015f,-0.33851999f,-0.622049987f,-0.301230013f,0.0983299986f,0.156519994f,0.257120013f,0.317189991f,0.203290001f,-0.350710005f,-0.509350002f,0.427130014f,0.547559977f,0.0123800002f,-0.159030005f,-0.0513200015f,0.0697500035f,-0.104960002f,-0.320529997f,0.104570001f,0.428290009f,0.291460007f,-0.144419998f,-0.33702001f,-0.111819997f,-0.0217199996f,0.0362300016f,0.202169999f,0.255089998f,-0.0275199991f,-0.320289999f,-0.174219996f,0.161689997f,-0.222100005f,-0.276899993f,-0.207300007f,0.272309989f,0.858950019f,0.406720012f,-0.259880006f,-0.503260016f,0.333779991f,0.0309500005f,-0.623650014f,0.145199999f,0.436269999f,0.0119000003f,-0.133540004f,-0.275260001f,-0.116269998f,0.0250100009f,0.00624000002f,0.118600003f,0.165270001f,-0.0323100016f,-0.992399991f,-0.5079f,0.705820024f,0.581900001f,-0.0481700003f,-0.0794700012f,0.0708099976f,-0.0818900019f,-0.315640002f,0.00512999995f,0.152500004f,-0.20837f,-0.0725499988f,0.617209971f,1.00845003f,-0.0962499976f,-0.609040022f,-0.382290006f,0.241689995f,0.219300002f,-0.265439987f,0.0220599994f,-0.320289999f,-0.277390003f,-0.105489999f,0.381570011f,0.672930002f,0.150619999f,-0.143460006f,-0.270859987f,0.0099600004f,0.0760800019f,-0.11874f,0.0640899986f,0.243670002f,-0.290439993f,-0.389889985f,-0.163240001f,0.454549998f,0.434049994f,-0.291269988f,-0.160290003f,0.0569799989f,0.13233f,-0.0245699994f,0.196370006f,0.0338600017f,-0.425099999f,-0.499390006f,-0.113030002f,0.406379998f,0.311679989f,-0.249960005f,0.00139999995f,0.187910005f,0.145630002f,0.258670002f,-0.113030002f,-0.116810001f,-0.0249600001f,-0.162220001f,-0.347030014f,0.0193499997f,0.557330012f,0.496289998f,-0.142590001f,-0.229650006f,0.238839999f,-0.0447399989f,-0.284060001f,-0.000579999993f,0.0329900011f,0.0730800033f,-0.199220002f,-0.152360007f,0.0406799987f,-0.298909992f,-0.10486f,-0.414510012f,-0.108680002f,0.545189977f,-0.496100008f,-0.363959998f,0.38312f,0.112599999f,-0.134509996f,-0.107040003f,0.0277600009f,-0.0174599998f,-0.40764001f,-0.393220007f,0.17306f,0.508819997f,0.607349992f,0.0773399994f,-0.0393199995f,0.0438699983f,-0.171120003f,-0.100989997f,0.154530004f,0.206530005f,-0.217069998f,-0.644389987f,0.0653000027f,0.662729979f,0.222540006f,-0.0425099991f,0.0221500006f,0.249430001f,-0.193269998f,-0.478399992f,0.215039998f,0.368750006f,-0.580309987f,-0.30625999f,0.551869988f,0.401829988f,-0.240429997f,-0.540740013f,0.297989994f,0.224230006f,-0.159130007f,-0.0342000015f,-0.0049800002f,-0.146939993f,-0.396319985f,0.0771500021f,0.384369999f,0.40377f,-0.0296999998f,-0.565649986f,0.0353100002f,0.501519978f,0.0853200033f,-0.199709997f,-0.0972200036f,0.347950011f,-0.27888f,-0.40158999f,0.429349989f,0.243090004f,-0.356559992f,-0.433180004f,0.395929992f,0.271340013f,0.0364699997f,-0.133300006f,-0.501810014f,0.00647999998f,0.0904499963f,-0.413300008f,-0.334699988f,0.27937001f,0.611169994f,0.0986699983f,-0.803860009f,-0.86431998f,0.36372f,0.742340028f,0.0752599984f,0.167590007f,-0.254269987f,-0.314049989f,-0.0699400008f,0.0895799994f,0.414020002f,0.0975999981f,0.106650002f,0.380070001f,0.190809995f,-0.41813001f,-0.516749978f,-0.105149999f,0.549009979f,0.395880014f,-0.37489f,-0.413249999f,0.0255399998f,0.138180003f,-0.719609976f,-0.400139987f,0.571510017f,0.229650006f,-0.15332f,-0.0074f,0.168750003f,-0.198689997f,-0.226449996f,0.459149987f,0.381330013f,-0.3037f,-0.677089989f,-0.236520007f,0.318210006f,0.363139987f,0.0401399992f,-0.0175100006f,0.773829997f,0.471139997f,-0.031440001f,-0.0264100004f,-0.473179996f,-0.418419987f,-0.121590003f,0.221420005f,0.47845f,0.11124f,0.106169999f,0.0960600004f,0.249860004f,0.242219999f,-0.556029975f,-0.327060014f,0.155259997f,0.0849300027f,-0.356849998f,-0.168559998f,0.213440001f,0.0565400012f,0.0078800004f,0.0428499989f,0.200139999f,-0.248950005f,-0.52105999f,-0.0710999966f,-0.0122400001f,0.0899100006f,0.238059998f,-0.301999986f,-0.264519989f,-0.0687799975f,-0.301470011f,-0.071390003f,0.140699998f,0.531509995f,0.0570699982f,-0.524299979f,0.08213f,0.215230003f,0.164299995f,0.0752099976f,-0.178179994f,0.26989001f,0.118160002f,-0.457700014f,-0.0232599992f,0.50229001f,0.915250003f,0.125709996f,-0.337170005f,-0.213149995f,-0.472930014f,0.189649999f,0.343210012f,-0.0403899997f,0.158399999f,0.0486100018f,-0.232309997f,0.0467200018f,0.0907400027f,-0.426109999f,-0.467709988f,0.0783500001f,0.304129988f,-0.0414000005f,-0.410780013f,0.0366600007f,0.293590009f,0.02709f,-0.455520004f,-0.168899998f,0.389789999f,0.0853200033f,-0.527350008f,-0.48100999f,0.505389988f,0.364930004f,-0.08072f,0.382490009f,0.272790015f,-0.45006001f,-0.481590003f,-0.0688700005f,0.225390002f,0.15095f,-0.171700001f,0.416489989f,0.679799974f,0.14181f,-0.56449002f,-0.543980002f,-0.0825600028f,-0.0746299997f,0.26365f,0.126870006f,0.191919997f,0.0957200006f,-0.485610008f,0.0913700014f,0.866550028f,-0.0367100015f,-0.292569995f,0.0904499963f,-0.289909989f,-0.452760011f,-0.338380009f,0.363480002f,0.656390011f,0.393999994f,-0.102150001f,-0.545340002f,-0.344130009f,0.41407001f,0.380210012f,-0.0957700014f,-0.252620012f,-0.171700001f,0.183990002f,-0.126719996f,-0.373490006f,0.352690011f,0.127159998f,-0.362899989f,0.231480002f,0.211989999f,-0.100019999f,-0.416200012f,0.102590002f,0.717429996f,-0.126289994f,-0.598739982f,-0.294459999f,-0.22766f,-0.2148f,-0.00295000011f,0.37213999f,0.84604001f,0.0411599986f,-0.507849991f,0.0223900005f,0.200920001f,0.361400008f,-0.366569996f,-0.607879996f,0.327450007f,0.47288999f,-0.145339996f,0.0159099996f,0.179250002f,-0.148729995f,-0.179059997f,0.294939995f,0.439170003f,-0.0855100006f,-0.265920013f,-0.298810005f,-0.0951400027f,-0.106169999f,0.0301799998f,0.424659997f,0.458039999f,-0.179930001f,-0.626060009f,-0.492520005f,0.0227300003f,0.462529987f,0.380499989f,0.119269997f,-0.0280000009f,-0.0580900013f,-0.746399999f,-0.675589979f,0.02709f,0.408560008f,0.329279989f,0.0111699998f,0.174070001f,0.140699998f,-0.0487499982f,0.181429997f,0.03816f,-0.162320003f,-0.297939986f,-0.0944600031f,0.293300003f,-0.202030003f,-0.247199997f,-0.121739998f,0.240920007f,0.736289978f,0.559660017f,-0.501030028f,-0.651989996f,0.266119987f,0.163000003f,-0.139880002f,-0.0536400005f,0.21683f,-0.0895299986f,0.0407299995f,0.402460009f,0.246380001f,0.160720006f,-0.495180011f,-0.694599986f,0.205750003f,0.522220016f,-0.155599996f,-0.31705001f,0.0222999994f,-0.311580002f,-0.225920007f,0.175960004f,0.227520004f,-0.0668400005f,-0.236469999f,0.0857499987f,-0.22597f,-0.219300002f,-0.000579999993f,-0.215279996f,0.0975999981f,0.556079984f,-0.0878299996f,-0.684199989f,-0.0248600002f,0.531459987f,0.478399992f,0.0196400005f,-0.139149994f,0.46360001f,0.223839998f,-0.331220001f,-0.124300003f,0.174559996f,0.114919998f,-0.389450014f,0.050689999f,0.760230005f,0.150859997f,-0.16798f,-0.226449996f,-0.0519500002f,-0.181329995f,-0.871619999f,-0.334850013f,0.174360007f,0.482270002f,0.518830001f,0.215039998f,-0.327450007f,-0.76643002f,-0.393559992f,0.480619997f,0.894500017f,0.0642300025f,-0.348529994f,-0.395350009f,-0.386550009f,-0.118349999f,0.0581899993f,0.451270014f,0.337839991f,-0.0498199984f,-0.487980008f,-0.688409984f,0.150710002f,0.790080011f,0.472790003f,-0.0285800006f,0.0891899988f,-0.171360001f,-0.701759994f,-0.277770013f,0.336930007f,0.0390800014f,-0.342290014f,0.187810004f,0.415089995f,0.311679989f,0.237580001f,-0.0976999998f,-0.387609988f,-0.373439997f,-0.346789986f,-0.114239998f,0.149360001f,0.217460006f,0.0221500006f,-0.393759996f,-0.138809994f,-0.00937999971f,0.10689f,0.382200003f,0.31487f,0.290439993f,-0.391629994f,-1.04370999f,-0.270859987f,0.775319993f,0.679799974f,-0.229699999f,-0.540600002f,0.407779992f,0.608510017f,-0.478060007f,-0.264470011f,0.446229994f,0.749840021f,0.36976999f,-0.175669998f,-0.201350003f,-0.573440015f,-0.354820013f,0.245509997f,0.698610008f,-0.130199999f,-0.510320008f,0.208749995f,0.48725f,0.0377300009f,-0.531509995f,-0.420309991f,-0.199220002f,-0.0367599986f,-0.140990004f,-0.141179994f,0.0507900007f,0.565559983f,0.331510007f,-0.403869987f,-0.173010007f,0.0402900018f,-0.10926f,0.441009998f,0.138040006f,-0.285699993f,-0.0635500029f,-0.0460500009f,-0.111050002f,0.0973099992f,0.552349985f,0.338180006f,-0.368609995f,-0.505770028f,0.0823699981f,0.0975600034f,0.394190013f,0.329039991f,0.318349987f,0.00716000004f,-0.689760029f,-0.191919997f,0.0729900002f,-0.475639999f,-0.258040011f,0.426739991f,0.179010004f,-0.129040003f,-0.128409997f,0.0923800021f,-0.27869001f,-0.299730003f,0.13707f,-0.279170007f,-0.425819993f,0.124059997f,0.469790012f,0.0553800017f,-0.01664f,-0.088320002f,-0.229550004f,0.0242299996f,0.150230005f,0.14147f,-0.211940005f,0.0523799993f,0.191239998f,-0.196129993f,0.03565f,0.820890009f,0.63665998f,-0.39616999f,-0.437720001f,0.253690004f,-0.0606000014f,-0.353899986f,0.157769993f,0.610539973f,0.522319973f,-0.339049995f,-0.522270024f,-0.254170001f,0.35679999f,0.207690001f,-0.0608900003f,-0.0315800011f,-0.346989989f,-0.386649996f,-0.271100014f,0.0468199998f,0.339590013f,0.242029995f,-0.345580012f,-0.590470016f,-0.0238400009f,0.513320029f,0.267619997f,0.404879987f,0.434680015f,-0.392019987f,-1.25450003f,-0.283670008f,0.718010008f,0.270420015f,-0.512300014f,-0.369430006f,0.780979991f,0.618709981f,-0.113179997f,-0.0399999991f,0.319559991f,-0.0569799989f,-0.0603599995f,-0.082659997f,-0.272399992f,-0.0511699989f,0.313809991f,0.519460022f,-0.0261199996f,0.0707100034f,0.0399499983f,-0.297749996f,-0.01461f,0.0748699978f,-0.136830002f,-0.287640005f,0.071829997f,0.144419998f,-0.174989998f,-0.182099998f,-0.127250001f,-0.498569995f,-0.229739994f,0.381709993f,0.0114099998f,-0.477479994f,0.0680999979f,0.512589991f,0.183750004f,0.0133499997f,-0.608699977f,-0.562030017f,-0.324200004f,0.165659994f,0.519659996f,0.0943199992f,0.00221999991f,-0.156519994f,0.108439997f,0.0751599967f,0.121260002f,0.605700016f,0.0100600002f,-0.474720001f,-0.176489994f,-0.00908999983f,-0.338759989f,-0.275689989f,0.659870028f,0.648410022f,-0.078639999f,-0.503790021f,0.185780004f,0.559459984f,0.116999999f,-0.207350001f,-0.0196899995f,0.0385500006f,-0.615469992f,-0.0867699981f,0.54321003f,0.404980004f,-0.209480003f,-0.549399972f,-0.0616200007f,0.734210014f,0.568270028f,-0.119999997f,-0.0535399988f,-0.0158200003f,-0.16798f,-0.535279989f,-0.453339994f,0.564350009f,0.673420012f,-0.0371499993f,-0.423209995f,-0.313030005f,0.117870003f,-0.21006f,0.249569997f,0.677380025f,-0.165030003f,-0.618130028f,-0.305530012f,-0.0623899996f,-0.235839993f,0.0425099991f,0.559660017f,0.339150012f,-0.112259999f,-0.393130004f,-0.363669991f,0.21311f,0.175329998f,0.111529998f,-0.0863400027f,-0.190709993f,0.228f,0.248699993f,0.124930002f,-0.1391f,-0.457260013f,-0.340700001f,0.291119993f,0.36846f,0.328460008f,0.151820004f,-0.391339988f,-0.0497700013f,0.000440000003f,-0.103550002f,0.199080005f,0.463160008f,0.209820002f,-0.544269979f,-0.485029995f,0.0237499997f,0.00208000001f,0.00972000044f,0.491120011f,0.442849994f,0.282169998f,-0.312159985f,-0.794239998f,-0.326429993f,0.373730004f,0.552590013f,0.153899997f,-0.0344900005f,-0.21717f,-0.410829991f,-0.0211800002f,0.401250005f,-0.0617199987f,-0.652760029f,-0.155310005f,0.40801999f,0.248459995f,0.209429994f,0.0437199995f,-0.173830003f,-0.132479995f,-0.00444999989f,-0.0934000015f,0.0221999995f,-0.113609999f,-0.0497200005f,-0.161210001f,-0.0386900008f,0.299879998f,0.217219993f,0.268240005f,0.11705f,0.218720004f,0.0523299985f,-0.498180002f,-0.60066998f,0.201499999f,0.349940002f,0.136399999f,0.256199986f,0.0175599996f,-0.0806799978f,-0.1866f,-0.418909997f,0.0659200028f,0.0413100012f,0.269019991f,0.579919994f,-0.126670003f,-0.585340023f,-0.650489986f,-0.392690003f,0.114629999f,0.65812999f,0.231820002f,-0.147520006f,-0.0686800033f,-0.193130001f,-0.0412099995f,0.220410004f,0.172820002f,-0.0861900002f,-0.543789983f,-0.242129996f,0.0663100034f,0.00879999995f,0.219050005f,-0.0607500002f,-0.372480005f,-0.0817399994f,0.0263100006f,0.337940007f,0.41038999f,-0.275599986f,-0.522170007f,-0.290780008f,-0.00150000001f,0.141619995f,0.711480021f,0.360379994f,-0.319220006f,-0.455040008f,-0.192110002f,0.0215700008f,0.123960003f,0.533439994f,0.758979976f,0.474189997f,-0.407200009f,-0.877520025f,-0.276129991f,0.867999971f,0.609759986f,-0.245800003f,-0.284929991f,0.0184300002f,0.164790004f,0.042270001f,0.335229993f,0.355159998f,-0.327399999f,-0.435449988f,0.0620499998f,0.0115099996f,-0.703499973f,-0.455330014f,0.349209994f,0.514240026f,-0.0776299983f,-0.342489988f,0.00657999981f,0.0879800022f,0.0764200017f,-0.206579998f,-0.46292001f,-0.194000006f,-0.0969799981f,0.189209998f,0.705340028f,0.152889997f,-0.117289998f,-0.204589993f,-0.191679999f,0.315549999f,0.10351f,-0.350609988f,0.0594400018f,0.331750005f,0.0428000018f,-0.182099998f,0.267030001f,0.444489986f,-0.321830004f,-0.247690007f,0.205510005f,0.328940004f,0.0993499979f,-0.547129989f,-0.428530008f,0.173010007f,0.225830004f,0.10723f,-0.223499998f,-0.144470006f,-0.279029995f,-0.269160002f,0.227760002f,0.237289995f,-0.212040007f,-0.67602998f,-0.172769994f,0.556270003f,0.359219998f,-0.674380004f,-0.3213f,0.715489984f,-0.123379998f,-0.826590002f,-0.0602700002f,0.909789979f,0.653540015f,-0.39023f,-0.392259985f,-0.319849998f,-0.0241800006f,0.336250007f,0.344469994f,0.557139993f,0.142829999f,-0.299439996f,-0.238159999f,0.223839998f,0.680429995f,0.449330002f,-0.137119994f,-0.187999994f,-0.106990002f,-0.216729999f,-0.193900004f,0.221039996f,0.236220002f,-0.389360011f,-0.657549977f,-0.00488999998f,0.360630006f,0.0689200014f,-0.303990006f,-0.372960001f,0.186409995f,0.0629300028f,0.118500002f,0.333440006f,0.0913200006f,-0.48337999f,-0.505050004f,0.333880007f,0.355159998f,-0.0273800008f,0.181759998f,0.280869991f,0.752110004f,0.22157f,-0.86194998f,-0.581709981f,-0.0334200002f,0.29440999f,-0.0239400007f,0.182589993f,0.0135899996f,-0.513130009f,-0.277390003f,0.636749983f,0.70660001f,0.0223900005f,-0.422439992f,-0.668820024f,0.179969996f,0.0307100005f,-0.648169994f,0.154970005f,0.644640028f,-0.0869200006f,-0.782239974f,-0.0584300011f,0.799070001f,0.12658f,-0.576290011f,-0.19506f,0.278160006f,0.0531099997f,-0.0872500017f,0.0430499986f,0.465530008f,0.438499987f,-0.627900004f,-0.867999971f,-0.102629997f,0.302830011f,0.421420008f,0.0393700004f,0.208409995f,-0.409280002f,-0.514050007f,0.491019994f,0.151289999f,-0.0939299986f,-0.193320006f,-0.206479996f,-0.105389997f,0.387080014f,0.4296f,0.0357399993f,-0.196710005f,0.0510299988f,0.501179993f,0.0408199988f,-0.346359998f,-0.627610028f,-0.541130006f,0.261130005f,0.284159988f,0.518400013f,0.488599986f,-0.252620012f,-0.396710008f,-0.0178500004f,0.00218000007f,-0.337460011f,0.214599997f,0.488750011f,-0.0396099985f,-0.0191099998f,0.441929996f,-0.202509999f,-0.464179993f,-0.0611400008f,0.161300004f,-0.0393700004f,-0.00130999996f,0.271580011f,0.01272f,0.0602199994f,0.0392699987f,-0.250059992f,-0.040479999f,0.343409985f,-0.118019998f,-0.105679996f,-0.148870006f,0.0824699998f,0.0623899996f,-0.506110013f,0.196370006f,0.85029f,0.545099974f,-0.691120028f,-1.19597006f,-0.41426f,0.554769993f,0.643280029f,0.113609999f,0.363380015f,0.218669996f,-0.179199994f,-0.08213f,-0.0509800017f,-0.0952299982f,0.242850006f,0.388969988f,0.174070001f,-0.167449996f,-0.268339992f,0.180989996f,0.202559993f,0.385100007f,-0.296680003f,-0.845220029f,-0.297939986f,0.230079994f,0.121059999f,-0.0326500013f,-0.0877899975f,-0.458279997f,0.224910006f,0.0653399974f,-0.0756499991f,-0.114100002f,-0.246380001f,-0.0733700022f,-0.391000003f,-0.0105400002f,0.438540012f,0.603139997f,-0.137309998f,-0.680329978f,-0.640429974f,-0.0646200031f,0.576730013f,0.189260006f,0.291509986f,-0.0371499993f,-0.0602700002f,0.634190023f,0.381330013f,-0.284500003f,-0.176589996f,0.270660013f,0.0887999982f,-0.108970001f,0.176300004f,0.216059998f,-0.212479994f,0.398790002f,0.446330011f,-0.21548f,-0.305200011f,-0.0553300008f,0.160820007f,-0.202749997f,-0.346549988f,0.0922399983f,0.45431f,0.0556199998f,-0.0934500024f,-0.254220009f,-0.553849995f,-0.236080006f,0.146990001f,0.291269988f,-0.167400002f,-0.608650029f,0.0815500021f,0.386599988f,-0.0414000005f,-0.336299986f,-0.0237000007f,0.124789998f,-0.314099997f,-0.130490005f,0.456099987f,0.636990011f,-0.00942999963f,-0.155890003f,-0.200870007f,0.189260006f,0.431050003f,0.0411599986f,0.259680003f,0.0773399994f,-0.445609987f,-0.729669988f,0.23951f,1.27346003f,0.446379989f,-0.774890006f,-0.643329978f,0.245079994f,0.348780006f,-0.31468001f,-0.329620004f,0.0749199986f,-0.0421300009f,-0.090640001f,-0.163240001f,-0.0409200005f,0.182249993f,-0.00937999971f,-0.294270009f,0.0267500002f,0.294270009f,-0.425199986f,-0.23003f,0.204500005f,0.40715f,-0.200430006f,-0.438639998f,0.500549972f,0.196950004f,0.0329900011f,-0.135859996f,-0.0309500005f,0.439709991f,-0.0111699998f,-0.121739998f,0.219300002f,-0.121349998f,-0.212380007f,0.0331300013f,0.262439996f,-0.289330006f,-0.366279989f,0.192159995f,0.261669993f,0.199469998f,-0.240339994f,-0.137119994f,-0.210250005f,-0.363579988f,-0.260600001f,-0.0896700025f,0.361589998f,0.677139997f,-0.375279993f,-1.00138998f,-0.106169999f,0.585770011f,0.132569999f,-0.111730002f,0.317919999f,-0.0334700011f,-0.853200018f,-0.140890002f,0.902530015f,0.444160014f,-0.0572700016f,-0.159419999f,0.559220016f,0.223360002f,-0.397529989f,-0.393759996f,0.0967800021f,0.817070007f,0.361059994f,-0.131950006f,0.088320002f,0.209959999f,-0.0308599994f,-0.338090003f,-0.362949997f,0.150759995f,0.0666500032f,-0.0242299996f,0.347130001f,0.146119997f,-0.626020014f,-0.911620021f,-0.196850002f,0.602320015f,-0.0217700005f,-0.882939994f,-0.0751599967f,0.169090003f,-0.234479994f,-0.226070002f,-0.112159997f,0.555159986f,0.383549988f,-0.219390005f,-0.787419975f,-0.222000003f,0.553219974f,-0.133829996f,0.243190005f,0.639360011f,0.292860001f,0.249329999f,0.579530001f,0.482169986f,-0.635299981f,-0.70223999f,0.38736999f,0.779150009f,0.449140012f,-0.331510007f,-0.36285001f,0.507759988f,0.456339985f,-0.532519996f,-0.370350003f,0.497020006f,0.481779993f,-0.483280003f,-0.651549995f,0.0306199994f,-0.325989991f,0.151199996f,0.308580011f,-0.471579999f,-0.570640028f,-0.235890001f,0.360920012f,0.18829f,-0.225250006f,-0.415859997f,-0.585099995f,0.190129995f,0.59999001f,-0.196520001f,-0.768649995f,-0.123630002f,0.351680011f,-0.037969999f,0.389450014f,0.618130028f,0.139540002f,-0.446720004f,-0.0666999966f,0.403910011f,0.0606499985f,-0.0309100002f,0.171749994f,0.577939987f,0.1822f,-0.364589989f,-0.0455100015f,0.125560001f,-0.115450002f,-0.256440014f,-0.239899993f,0.269400001f,0.585680008f,-0.121299997f,-0.435110003f,0.0518000014f,0.417360008f,0.164210007f,-0.482849985f,-0.32822001f,0.0998800024f,-0.0456600003f,-0.202319995f,0.0635500029f,0.110469997f,-0.152070001f,-0.0945099965f,0.276419997f,0.0465800017f,-0.612230003f,-0.505240023f,0.0331799984f,0.247930005f,0.0951900035f,-0.0515599996f,0.0311500002f,0.560479999f,0.462339997f,-0.300359994f,-0.383599997f,-0.314529985f,0.0608900003f,0.165659994f,0.305290014f,0.305000007f,-0.57615f,-0.334989995f,0.0591499992f,0.279130012f,0.235839993f,-0.0479799993f,-0.160099998f,0.0232200008f,0.0388399996f,-0.309890002f,0.01877f,0.105590001f,0.0645200014f,0.059009999f,0.0498699993f,0.155839995f,-0.334170014f,-0.0955300033f,0.209040001f,-0.341960013f,0.339300007f,0.359950006f,-0.17712f,-0.260800004f,-0.00643000007f,0.667999983f,0.407539994f,0.0792300031f,0.226449996f,-0.143549994f,-0.0973099992f,0.136059999f,-0.172820002f,-0.286430001f,-0.0956199989f,-0.0221500006f,0.143989995f,0.299439996f,-0.316029996f,-0.249770001f,-0.0166900009f,0.219249994f,-0.0743400007f,-0.590560019f,-0.187079996f,0.167930007f,0.202610001f,-0.304470003f,-0.10887f,0.146990001f,-0.178910002f,0.00334000005f,0.249479994f,0.344709992f,-0.473269999f,-0.759119987f,0.181620002f,0.501030028f,0.12421f,-0.445560008f,0.146840006f,0.512160003f,-0.164979994f,-0.340119988f,0.125080004f,0.588869989f,0.643570006f,0.0636499971f,-0.525409997f,0.0221500006f,0.49454999f,-0.270999998f,-0.527440012f,0.677330017f,0.463649988f,-0.563090026f,-0.000769999984f,0.174850002f,-0.58089f,-0.11744f,0.495090008f,0.340119988f,-0.131610006f,-0.972570002f,-0.142250001f,0.652999997f,0.422679991f,-0.642939985f,-1.26098001f,0.250640005f,0.778949976f,0.130539998f,-0.608070016f,-0.296059996f,0.231869996f,0.115500003f,0.131899998f,0.059009999f,-0.131850004f,-0.340310007f,0.0146599999f,-0.0308599994f,0.339780003f,0.0794700012f,-0.380120009f,0.488559991f,0.321539998f,-0.304659992f,-0.0548500009f,0.479750007f,0.185489997f,-0.428530008f,-0.322710007f,0.366479993f,0.426019996f,-0.0575099997f,-0.250400007f,-0.12387f,0.170300007f,0.168699995f,-0.0151899997f,0.259009987f,0.167250007f,-0.157189995f,0.0263100006f,-0.0167800002f,0.0709099993f,0.0918999985f,0.205750003f,0.401250005f,0.240630001f,-0.581030011f,-0.699530005f,0.21548f,1.26261997f,0.550270021f,-1.42954004f,-1.0086f,0.683189988f,0.584029973f,-0.122129999f,0.365850002f,-0.240669996f,-0.485900015f,-0.0567299984f,0.643480003f,0.560530007f,-0.459919989f,-0.580449998f,-0.479849994f,0.320630014f,0.279610008f,-0.0753600001f,-0.185200006f,-0.179969996f,-0.37450999f,-0.773100019f,-0.254170001f,0.193949997f,0.309789985f,-0.163090006f,-0.120630004f,-0.0830899999f,-0.348289996f,0.386839986f,0.505970001f,0.302830011f,-0.252090007f,-0.455229998f,-0.0276699997f,0.351630002f,0.581950009f,0.371989995f,0.103600003f,-0.103459999f,-0.0193499997f,-0.0750700012f,0.257939994f,0.222629994f,-0.110569999f,-0.146939993f,-0.336970001f,-0.0409200005f,0.633949995f,0.263749987f,-0.241929993f,0.293689996f,-0.306699991f,-0.912249982f,0.0413100012f,0.390029997f,-0.303119987f,-0.733099997f,-0.143889993f,0.46935001f,0.399659991f,-0.322420001f,-0.616439998f,-0.122129999f,0.499390006f,0.671630025f,-0.460500002f,-0.469740003f,0.101470001f,0.239999995f,0.115309998f,-0.0930100009f,0.332569987f,0.344280005f,-0.0445500016f,-0.309159994f,0.0639899969f,0.238499999f,-0.158450007f,-0.121979997f,0.348969996f,-0.0907400027f,-0.384570003f,0.327829987f,0.601540029f,0.346740007f,0.318690002f,0.176880002f,-0.242750004f,-0.278789997f,-0.134269997f,0.242750004f,0.120530002f,0.0461900011f,0.214560002f,-0.594190001f,-0.438210011f,0.514339983f,0.827369988f,-0.0774800032f,-1.11872995f,-0.733340025f,-0.0918499976f,0.37402001f,0.341129988f,0.0308100004f,-0.446280003f,-0.292620003f,0.244059995f,0.366530001f,0.153860003f,-0.361640006f,-0.32565999f,-0.0809200034f,0.0761800036f,0.0533500016f,-0.11671f,-0.113130003f,0.784420013f,0.82950002f,-0.508920014f,-0.811699986f,-0.486909986f,0.0787400007f,0.306210011f,0.0994900018f,-0.269739985f,-0.479849994f,0.300359994f,0.530489981f,-0.282270014f,-0.46935001f,0.10689f,0.0109299999f,-0.348780006f,-0.318879992f,0.181229994f,0.376830012f,0.0979000032f,0.284830004f,-0.00130999996f,0.0099600004f,0.420940012f,0.236129999f,-0.284159988f,-0.27869001f,0.206479996f,0.393709987f,0.0337099992f,-0.558589995f,0.0388900004f,0.464949995f,0.498180002f,0.460070014f,-0.244829997f,-0.34156999f,-0.186939999f,0.216299996f,0.620989978f,-0.401540011f,-1.04618001f,-0.245409995f,0.408939987f,0.544809997f,-0.100510001f,-0.319319993f,0.211359993f,0.371309996f,-0.00159999996f,-0.552789986f,-0.199949995f,0.404399991f,0.131070003f,-0.613200009f,-0.304659992f,0.462630004f,0.0740500018f,-0.143749997f,0.117530003f,-0.000969999994f,-0.320630014f,-0.653970003f,-0.26752001f,0.112790003f,0.0377300009f,0.0520900004f,0.30776f,0.0790800005f,-0.409810007f,0.0407700017f,0.161589995f,0.292089999f,0.313560009f,-0.0419300012f,-0.355349988f,0.374170005f,0.73755002f,-0.141230002f,-0.203089997f,-0.0113199996f,0.171409994f,0.106360003f,0.141959995f,-0.484109998f,-0.372090012f,0.287010014f,0.356469989f,0.326240003f,-0.363579988f,-0.45905f,-0.0567799993f,0.368609995f,0.409669995f,-0.0524300002f,-0.671239972f,-0.760140002f,-0.081840001f,0.251800001f,0.297939986f,0.337650001f,0.107330002f,-0.176060006f,-0.601880014f,-0.256390005f,0.478159994f,0.140019998f,-0.354140013f,0.145679995f,0.00667000003f,-0.36285001f,-0.298720002f,0.346359998f,1.13734996f,-0.264660001f,-0.921150029f,-0.230079994f,-0.121890001f,-0.00295000011f,0.201550007f,0.250640005f,0.340499997f,-0.123819999f,-0.482369989f,0.33296001f,0.67602998f,0.253439993f,-0.210690007f,-0.249380007f,-0.152549997f,0.0756499991f,0.619239986f,0.543259978f,0.0965399966f,-0.396560013f,-0.271389991f,-0.0877399966f,0.173490003f,0.343739986f,-0.457309991f,-0.40290001f,0.22902f,-0.0241800006f,-0.383020014f,0.145579994f,0.100560002f,-0.107709996f,-0.12387f,0.212190002f,0.0823699981f,-0.636319995f,-0.130590007f,0.43858999f,0.415129989f,-0.158350006f,-0.653630018f,-0.236849993f,0.391290009f,-0.000440000003f,-0.18321f,0.268000007f,0.311969995f,0.0432900004f,-0.312840015f,-0.48706001f,-0.0251499992f,0.101960003f,0.0715800002f,0.0104999999f,0.00392000005f,0.248030007f,-0.22868f,0.0453200005f,0.553460002f,-0.0140300002f,-0.574940026f,-0.154819995f,0.420020014f,0.10554f,0.136059999f,0.809620023f,0.532959998f,-0.353419989f,-0.606090009f,-0.0375799984f,0.497500002f,0.46509999f,0.00966999959f,-0.429399997f,-0.22597f,0.395399988f,0.218960002f,-0.0115599995f,0.163289994f,-0.238639995f,-0.543259978f,-0.141619995f,0.0284899995f,-0.52086997f,-0.0791800022f,0.607060015f,0.475300014f,-0.354869992f,-0.553900003f,-0.0908299983f,-0.0998800024f,0.148200005f,-0.0180900004f,-0.254940003f,-0.46983999f,-0.206819996f,0.595210016f,0.57397002f,-0.0483199991f,-0.427520007f,-0.141279995f,-0.00547000021f,0.166529998f,0.0969299972f,-0.0172199998f,-0.095569998f,-0.0969299972f,0.125510007f,-0.222299993f,-0.192450002f,0.194189996f,0.655279994f,-0.135519996f,-0.520529985f,0.271100014f,0.246089995f,-0.271439999f,-0.459870011f,0.23951f,0.340310007f,-0.0411100015f,-0.250739992f,-0.151920006f,-0.0856100023f,0.470660001f,0.490390003f,-0.472110003f,-0.280479997f,-0.138479993f,0.199609995f,0.519410014f,0.0453700013f,-0.172619998f,-0.103069998f,0.247690007f,0.413010001f,0.0443499982f,-0.201690003f,0.142780006f,0.373299986f,0.101180002f,-0.425289989f,-0.44551f,-0.00208000001f,0.0188599993f,0.43434f,0.28343001f,-0.564589977f,-0.685750008f,-0.140890002f,0.299970001f,-0.134120002f,-0.100309998f,0.0231199991f,-0.217800006f,-0.186020002f,-0.331070006f,0.10825f,0.367110014f,0.128800005f,-0.156320006f,-0.812759995f,0.193079993f,0.917190015f,0.218380004f,0.361250013f,0.246529996f,-0.167109996f,-0.144380003f,0.324010015f,0.855809987f,0.0811100006f,-0.367439985f,0.205709994f,-0.0150899999f,-0.062590003f,0.0334200002f,0.11671f,0.333440006f,0.115259998f,-0.119419999f,-0.409960002f,-0.516659975f,-0.118260004f,-0.0540699996f,-0.0100600002f,-0.136490002f,-0.77542001f,-0.141719997f,0.600090027f,0.135279998f,-0.107330002f,-0.313809991f,-0.415089995f,-0.130349994f,-0.299250007f,-0.216350004f,-0.0630199984f,0.00527000008f,0.283529997f,-0.0651500002f,0.268290013f,0.570439994f,-0.471289992f,-0.548049986f,0.212819993f,0.515540004f,0.00667000003f,-0.526139975f,0.0176100004f,0.521539986f,0.376300007f,-0.0536400005f,-0.0840099975f,0.344760001f,-0.0993499979f,-0.252810001f,0.645560026f,0.478929996f,0.250739992f,-0.409379989f,-0.615329981f,0.0388900004f,-0.0430999994f,0.437629998f,0.508430004f,0.323430002f,-0.39192f,-1.06029999f,-0.158109993f,0.923330009f,0.689180017f,-0.219150007f,-0.415380001f,-0.31487f,-0.34393999f,-0.433759987f,0.126719996f,0.90741998f,0.446280003f,-0.34630999f,-0.995440006f,-0.453009993f,0.539730012f,0.704370022f,0.211030006f,-0.386689991f,-0.0403399989f,0.153420001f,0.30320999f,0.191630006f,-0.0831400007f,-0.586160004f,-0.193179995f,0.311679989f,0.254559994f,-0.0750700012f,-0.0201699995f,0.54016f,0.139149994f,-0.687730014f,-0.728510022f,0.250149995f,0.327490002f,-0.203920007f,-0.625240028f,0.0673300028f,-0.0573199987f,-0.300650001f,0.109449998f,-0.0688299984f,0.572860003f,0.00276000006f,-0.480239987f,0.189989999f,-0.0397100002f,-0.207829997f,-0.422439992f,0.642849982f,1.12502003f,-0.252959996f,-0.538039982f,0.230079994f,0.708379984f,0.110660002f,-0.321209997f,-0.0461900011f,0.529229999f,-0.0368600003f,-0.620689988f,-0.0731299967f,0.54539001f,0.216639996f,-0.363480002f,-0.171320006f,-0.0636000037f,-0.690439999f,-0.187179998f,0.718590021f,0.325370014f,-0.557290018f,-0.732370019f,-0.105920002f,0.557089984f,0.630270004f,-0.469740003f,-0.479799986f,-0.0892900005f,-0.173299998f,-0.0252999999f,0.138860002f,0.346260011f,0.178430006f,-0.590950012f,-0.279949993f,0.143889993f,0.523379982f,0.571839988f,0.0352099985f,0.0964000002f,-0.301230013f,-0.553219974f,-0.0639400035f,0.424519986f,-0.0411100015f,0.164539993f,0.704230011f,0.396079987f,-0.28580001f,-0.569670022f,0.354140013f,0.733730018f,0.112549998f,-0.370590001f,-1.06818998f,-0.312059999f,0.638450027f,0.206139997f,-0.437920004f,-0.209720001f,0.518350005f,-0.188679993f,-0.269989997f,0.167109996f,-0.0237000007f,-0.300700009f,-0.233999997f,-0.153999999f,-0.384369999f,-0.102540001f,0.318549991f,0.176009998f,0.0741000026f,0.00150000001f,-0.396609992f,0.119850002f,0.400330007f,0.0788400024f,0.0445500016f,-0.116470002f,-0.0432900004f,0.0873999968f,-0.185870007f,-0.0773399994f,0.38093999f,0.172769994f,-0.237719998f,-0.126479998f,0.25266999f,0.0548f,-0.00832000002f,0.300260007f,0.296730012f,0.401980013f,-0.402610004f,-0.763809979f,-0.226449996f,0.0956699997f,0.727050006f,0.156900004f,-0.343549997f,-0.137309998f,-0.194100007f,-0.035840001f,0.292140007f,0.382679999f,0.366530001f,-0.0393700004f,-0.561739981f,-0.657410026f,-0.17306f,0.587029994f,0.675930023f,0.187619999f,-0.416390002f,-0.230079994f,0.0775299966f,0.475010008f,0.204929993f,-0.0321200006f,-0.115840003f,-0.460020006f,-0.14655f,0.230130002f,0.265439987f,-0.33939001f,-0.208849996f,0.347950011f,0.171269998f,-0.267569989f,-0.0118500004f,0.297019988f,-0.484979987f,-0.444739997f,-0.391389996f,-0.264039993f,0.45262f,0.188679993f,0.189740002f,-0.459540009f,-0.26771f,0.235400006f,0.0894299969f,-0.110809997f,-0.335960001f,0.143600002f,0.600530028f,0.233520001f,-0.754480004f,-0.0816000029f,0.59254998f,0.190229997f,0.0935899988f,0.233850002f,-0.05528f,0.0518999994f,-0.224669993f,-0.415859997f,0.339489996f,0.668579996f,0.253010005f,-0.377220005f,-0.0191099998f,-0.284830004f,-0.315450013f,0.653919995f,0.686230004f,-0.510420024f,-1.20120001f,0.0577500015f,0.669690013f,0.626600027f,0.0367100015f,-0.894739985f,-0.290199995f,0.418709993f,0.270859987f,-0.238639995f,-0.082510002f,-0.00197999994f,-0.227809995f,-0.155159995f,0.116999999f,0.0151899997f,-0.125420004f,0.36153999f,0.157729998f,-0.591239989f,-0.45006001f,0.0372899994f,0.463209987f,0.629980028f,0.0886100009f,-0.636460006f,-0.270469993f,0.509599984f,0.108149998f,-0.184379995f,0.100220002f,0.443379998f,0.0473500006f,-0.0912699997f,0.0651500002f,0.117919996f,0.142100006f,-0.0338100009f,0.110129997f,0.338420004f,0.180549994f,-0.508530021f,-0.242950007f,-0.0656799972f,-0.111680001f,-0.0375799984f,0.127979994f,0.118309997f,-0.0218599997f,-0.137459993f,-0.19506f,0.740310013f,0.120389998f,-0.651359975f,-0.819100022f,-0.281980008f,0.54452002f,0.137700006f,0.0427099988f,-0.258569986f,-0.331220001f,-0.138909996f,0.503499985f,0.698130012f,0.235640004f,-0.662819982f,-0.797230005f,-0.273229986f,-0.163090006f,0.543690026f,-0.0618100017f,0.0557200015f,0.729960024f,-0.313270003f,-0.616439998f,-0.02293f,0.181229994f,-0.125609994f,-0.194289997f,0.358209997f,0.152689993f,-0.508819997f,-0.141379997f,0.389649987f,0.610729992f,0.286139995f,-0.726960003f,-0.225730002f,0.388190001f,0.193470001f,-0.164059997f,-0.100989997f,0.233559996f,-0.188679993f,0.296299994f,0.316949993f,-0.124499999f,-0.642270029f,-0.250539988f,0.394190013f,0.373879999f,0.127880007f,-0.379920006f,0.197390005f,0.261519998f,0.0536400005f,-0.573199987f,-0.0288800001f,0.58780998f,-0.394679993f,-0.19032f,0.329620004f,0.328799993f,-0.13538f,-0.479220003f,-0.171320006f,0.581950009f,0.328700006f,-0.417699993f,-0.214900002f,0.146699995f,0.0915599987f,0.116760001f,0.45649001f,-0.262290001f,-0.701179981f,-0.2667f,0.179780006f,0.257649988f,-0.323000014f,-0.122900002f,0.674239993f,0.670459986f,-0.378809988f,-0.951569974f,-0.62887001f,0.211410001f,0.546450019f,0.253250003f,0.0410600007f,0.0954300016f,0.525170028f,0.0916600004f,-0.389600009f,0.133980006f,0.652670026f,0.0561500005f,-0.417890012f,-0.449330002f,-0.0763700008f,0.604399979f,0.57852f,0.327060014f,-0.243770003f,-0.730830014f,-0.0457599983f,0.478060007f,0.00255999994f,-0.646809995f,-0.616439998f,0.458380014f,0.647930026f,0.01296f,-0.270709991f,-0.142829999f,0.0759800002f,-0.36928001f,-0.793749988f,-0.0574599989f,0.146990001f,-0.0290699992f,-0.244980007f,-0.393999994f,0.0116100004f,-0.0214300007f,-0.0332299992f,0.0833399966f,0.0843499973f,-0.338230014f,-0.283670008f,0.00276000006f,0.445749998f,0.422390014f,-0.366239995f,-0.209820002f,0.352640003f,0.238399997f,0.0180900004f,0.0123800002f,0.305629998f,0.342200011f,0.266649991f,0.317680001f,0.107759997f,-0.046289999f,-0.306499988f,-0.327690005f,0.264230013f,0.731649995f,0.257169992f,0.0616700016f,-0.296009988f,-0.231389999f,0.197390005f,0.196419999f,-0.101470001f,-0.914189994f,-0.664659977f,0.143209994f,0.532130003f,0.232260004f,-0.337799996f,-0.254020005f,-0.0323100016f,-0.300309986f,-0.36116001f,0.130879998f,0.0789799988f,-0.0686800033f,0.379390001f,-0.138520002f,-0.47409001f,0.0234600008f,0.298570007f,0.242709994f,0.295520008f,0.239370003f,-0.693970025f,-0.609179974f,0.551479995f,0.523039997f,0.175620005f,0.40564999f,0.100409999f,-0.216059998f,-0.148969993f,0.00942999963f,0.0623000003f,-0.0405800007f,-0.071390003f,0.0317800008f,0.340020001f,0.110229999f,-0.426649988f,-0.136350006f,-0.00139999995f,-0.401349992f,-0.288069993f,0.283089995f,0.260069996f,-0.0610399991f,-0.146789998f,-0.185969993f,-0.509980023f,-0.0952799991f,0.770919979f,0.392309994f,-0.122270003f,-0.326570004f,-0.0501599982f,-0.414550006f,-0.723770022f,0.420260012f,0.913510025f,0.313369989f,-0.505770028f,-0.634869993f,0.191149995f,0.253589988f,-0.117679998f,-0.0472999997f,0.185289994f,0.0465300009f,-0.406329989f,-0.070419997f,0.255519986f,0.172240004f,-0.171220005f,0.0272799991f,0.294169992f,0.0779199973f,-0.14384f,-0.303160012f,-0.140310004f,-0.393759996f,-0.0120000001f,0.538569987f,0.300749987f,0.11908f,-0.357340008f,-0.398160011f,0.380600005f,0.479849994f,0.288069993f,0.185540006f,-0.213149995f,-0.0699900016f,-0.205559999f,-0.0635500029f,0.39903f,0.3213f,0.12387f,-0.213400006f,0.0124300001f,0.416099995f,-0.0643799976f,-0.321249992f,0.111100003f,-0.481489986f,-0.0524300002f,0.369139999f,-0.0611400008f,-0.128849998f,-0.358639985f,0.14418f,0.25891f,-0.01272f,-0.238739997f,0.0267500002f,-0.0476900004f,-0.284299999f,-0.367879987f,-0.133589998f,0.506980002f,0.0226799995f,-0.429639995f,-0.304520011f,-0.02128f,0.550899982f,0.396759987f,-0.564199984f,-0.819970012f,0.496250004f,1.05062997f,-0.129240006f,-0.206190005f,0.20363f,0.0808700025f,-0.213249996f,-0.353899986f,-0.197290003f,0.0774400011f,0.332910001f,0.460990012f,0.233180001f,0.0287800003f,-0.293009996f,-0.0975100026f,0.645799994f,-0.33059001f,-0.767729998f,0.0683899969f,0.437629998f,0.347900003f,-0.313849986f,-0.287539989f,0.156949997f,0.259539992f,0.330199987f,-0.203189999f,-0.490099996f,-0.176730007f,-0.208269998f,-0.327829987f,0.121639997f,0.167500004f,0.148289993f,0.109700002f,-0.123819999f,0.228970006f,0.141039997f,-0.311580002f,-0.143800005f,0.0276699997f,0.0356899984f,0.204830006f,0.0266500004f,0.0326999985f,0.0221500006f,-0.259539992f,-0.376780003f,0.244790003f,0.571510017f,0.11806f,-0.330879986f,-0.314770013f,-0.517040014f,-0.0384000018f,1.01194f,0.647390008f,-0.341230005f,-0.959890008f,-0.240820006f,0.541809976f,0.771600008f,0.0355499983f,-0.542580009f,-0.568310022f,-0.0227300003f,0.269309998f,-0.172140002f,0.300359994f,0.258329988f,0.0726500005f,-0.115549996f,-0.118110001f,0.167060003f,-0.183699995f,-0.230230004f,0.297890007f,0.419779986f,-0.121930003f,-0.546790004f,0.100850001f,0.682799995f,0.226940006f,-0.376300007f,0.215519994f,0.132960007f,-0.457599998f,0.131950006f,0.255620003f,0.137649998f,-0.269309998f,-0.49180001f,0.0105400002f,0.651839972f,0.521979988f,-0.851890028f,-0.737500012f,0.171800002f,-0.0771899968f,0.202559993f,0.0816399977f,-0.427859992f,-0.225490004f,0.11671f,0.0995900035f,0.211510003f,-0.437959999f,-0.71627003f,0.309109986f,0.809520006f,0.421229988f,-0.590510011f,-0.31961f,0.601350009f,0.560720026f,0.146840006f,0.0191500001f,-0.244299993f,-0.500739992f,-0.261860013f,0.427949995f,0.357630014f,0.00221999991f,-0.0672300011f,0.295179993f,0.789059997f,0.0794200003f,-0.499680012f,-0.16595f,0.522650003f,0.129380003f,-0.454169989f,-0.397000015f,-0.0715299994f,0.0975999981f,0.201299995f,0.76293999f,0.463550001f,-0.160050005f,-0.475109994f,-0.387710005f,-0.187710002f,-0.317189991f,0.0193000007f,-0.110950001f,-0.213349998f,-0.209910005f,-0.0731299967f,0.258520007f,0.412959993f,0.0347299986f,-0.695280015f,-0.330009997f,-0.208120003f,0.663399994f,0.662f,-0.429060012f,-0.593710005f,-0.0078800004f,0.600380003f,-0.242709994f,-0.386020005f,0.494219989f,0.44058001f,0.116180003f,0.227039993f,-0.0577999987f,-0.362949997f,-0.333640009f,0.442409992f,0.402850002f,-0.372480005f,-0.350419998f,-0.247590005f,0.683860004f,0.590560019f,-0.600719988f,-0.198259994f,0.237920001f,0.0549000017f,-0.178760007f,-0.188099995f,-0.0418399982f,-0.161789998f,-0.34156999f,-0.0944600031f,-0.103359997f,-0.153280005f,0.107040003f,-0.455570012f,-0.0104f,0.331220001f,-0.0859500021f,0.159899995f,0.276419997f,0.194100007f,0.414550006f,0.162850007f,-0.445069999f,-0.666599989f,-0.41861999f,0.912540019f,1.15113997f,0.537500024f,-0.120099999f,-1.10896003f,-0.100359999f,0.833119988f,0.42572999f,0.184180006f,-0.110129997f,-0.333680004f,-0.464899987f,-0.0403399989f,0.638740003f,0.498279989f,-0.050689999f,-0.433899999f,-0.587080002f,-0.180069998f,-0.25909999f,0.0327900015f,0.0794200003f,-0.257459998f,-0.174610004f,-0.197720006f,0.136930004f,-0.154190004f,0.10046f,0.322950006f,0.0316299982f,-0.0774400011f,-0.15918f,0.0572700016f,0.0366099998f,0.36778f,0.410589993f,-0.0866699964f,-0.284209996f,-0.0558600016f,0.491890013f,0.231969997f,-0.557330012f,-0.145830005f,0.140799999f,-0.27008f,0.0709500015f,0.248750001f,0.0103500001f,-0.246480003f,0.0309100002f,-0.10249f,-0.301620007f,0.29223001f,-0.361449987f,-0.511099994f,0.38872999f,0.310270011f,-0.27294001f,-0.978370011f,-0.740790009f,0.486330003f,0.999119997f,0.0481299981f,-0.980260015f,-0.537750006f,0.0456600003f,0.329140007f,0.676169991f,0.285219997f,-0.805310011f,-0.725459993f,0.578230023f,0.569670022f,0.22225f,0.348630011f,0.244790003f,-0.126770005f,-0.362170011f,0.206819996f,0.553950012f,0.332619995f,-0.155259997f,0.0882200003f,0.693729997f,0.604059994f,-0.385390013f,-0.839649975f,0.155939996f,0.913510025f,0.489960015f,-0.297360003f,-0.385969996f,-0.58780998f,-0.419869989f,0.638450027f,0.437819988f,-0.666499972f,-0.69174999f,-0.474480003f,0.134269997f,-0.082510002f,-0.411850005f,0.205080003f,-0.208749995f,0.192019999f,0.476709992f,-0.436610013f,-0.551190019f,0.32517001f,0.630029976f,-0.17238f,-0.509019971f,-0.210979998f,0.555010021f,0.255430013f,0.531069994f,0.787220001f,-0.292809993f,-0.720189989f,-0.202749997f,1.23345995f,0.691169977f,-0.328649998f,-0.257649988f,0.0119500002f,0.0238000005f,0.373970002f,-0.00155000004f,-0.196319997f,0.0514100008f,-0.493589997f,-0.150179997f,-0.371410012f,0.219830006f,0.0833399966f,-0.660019994f,-0.444739997f,-0.553900003f,-0.202950001f,-0.0868699998f,0.297989994f,0.0600199997f,-0.514959991f,-0.37064001f,0.0290200002f,0.281010002f,-0.249090001f,-0.333440006f,-0.215719998f,0.883859992f,0.613590002f,-0.741370022f,-0.410299987f,0.533249974f,1.13039005f,0.76056999f,0.589789987f,-0.826110005f,-1.05532002f,0.361110002f,0.536679983f,0.767679989f,0.582149982f,-0.472739995f,-0.502149999f,0.134560004f,0.0159099996f,-0.41001001f,-0.243819997f,0.440380007f,0.0739500001f,-0.52256f,-0.351049989f,-0.565940022f,0.163240001f,0.476509988f,-0.307859987f,-0.250059992f,-0.0231699999f,0.121689998f,0.0978000015f,0.0458500013f,0.0476399995f,0.128370002f,-0.326240003f,0.208900005f,0.391970009f,-0.0954800025f,-0.116810001f,0.0153799998f,0.372429997f,-0.213730007f,0.115740001f,1.01266003f,0.223550007f,-0.667270005f,-0.266600013f];
struct DSP_DrumSIG0 {
nothrow:
@nogc:
	
  private:
	
	int fDSP_DrumSIG0Wave0_idx;
	
  public:
	
	int getNumInputsDSP_DrumSIG0() nothrow @nogc {
		return 0;
	}
	int getNumOutputsDSP_DrumSIG0() nothrow @nogc {
		return 1;
	}
	
	void instanceInitDSP_DrumSIG0(int sample_rate) nothrow @nogc {
		fDSP_DrumSIG0Wave0_idx = 0;
	}
	
	void fillDSP_DrumSIG0(int count, float[] table) nothrow @nogc {
		for (int i1 = 0; (i1 < count); i1 = (i1 + 1)) {
			table[i1] = fDSP_DrumSIG0Wave0[fDSP_DrumSIG0Wave0_idx];
			fDSP_DrumSIG0Wave0_idx = ((1 + fDSP_DrumSIG0Wave0_idx) % 8542);
		}
	}

};

DSP_DrumSIG0* newDSP_DrumSIG0() nothrow @nogc { return assumeNothrowNoGC(&mallocNew!(DSP_DrumSIG0))(); }
void deleteDSP_DrumSIG0(DSP_DrumSIG0* dsp) nothrow @nogc { destroyFree(dsp); }
alias FAUSTCLASS = DSP_Drum;
static float DSP_Drum_faustpower2_f(float value) nothrow @nogc {
	return (value * value);
}
__gshared float[8542] ftbl0DSP_DrumSIG0;

class DSP_Drum : dsp
{
nothrow:
@nogc:
	
 private:
	
	FAUSTFLOAT fHslider0;
	FAUSTFLOAT fHslider1;
	FAUSTFLOAT fCheckbox0;
	float[2] fVec0;
	float[2] fRec0;
	FAUSTFLOAT fHslider2;
	float[2] fRec1;
	FAUSTFLOAT fEntry0;
	int[2] iVec1;
	int[2] iRec4;
	int fSampleRate;
	float fConst0;
	float fConst1;
	float[2] fRec5;
	float fConst2;
	FAUSTFLOAT fHslider3;
	float[2] fRec6;
	FAUSTFLOAT fHslider4;
	float[2] fRec7;
	FAUSTFLOAT fHslider5;
	float[2] fRec8;
	float[2] fRec2;
	FAUSTFLOAT fEntry1;
	float[2] fVec2;
	int[2] iRec9;
	float fConst3;
	float fConst5;
	float fConst6;
	FAUSTFLOAT fHslider6;
	float[2] fRec11;
	float fConst7;
	FAUSTFLOAT fHslider7;
	float[2] fRec16;
	FAUSTFLOAT fHslider8;
	float[2] fRec14;
	float[2] fRec13;
	float[2] fRec12;
	float[2] fVec3;
	float fConst8;
	float[2] fRec10;
	FAUSTFLOAT fHslider9;
	float[2] fRec17;
	float fConst9;
	float[2] fRec19;
	float fConst10;
	FAUSTFLOAT fHslider10;
	FAUSTFLOAT fHslider11;
	float[2] fRec22;
	FAUSTFLOAT fHslider12;
	float[2] fRec20;
	FAUSTFLOAT fHslider13;
	float[3] fRec18;
	FAUSTFLOAT fHslider14;
	float fConst13;
	float fConst15;
	int[2] iRec26;
	int iConst16;
	int[2] iRec27;
	float[2] fRec25;
	float fConst17;
	float fConst18;
	float[3] fRec24;
	float fConst19;
	float[3] fRec23;
	FAUSTFLOAT fHslider15;
	float[2] fRec30;
	float fConst20;
	float[2] fRec28;
	FAUSTFLOAT fHslider16;
	
 public:
	
	void metadata(Meta* m) nothrow @nogc { 
		m.declare("author", "Oren Kurtz");
		m.declare("basics.lib/downSample:author", "Romain Michon");
		m.declare("basics.lib/name", "Faust Basic Element Library");
		m.declare("basics.lib/sAndH:author", "Romain Michon");
		m.declare("basics.lib/version", "0.5f");
		m.declare("compile_options", "-a custom.d.template -lang dlang -cn DSP_Drum -pn processDrum -es 1 -mcd 16 -single -ftz 0");
		m.declare("copyright", "Punk Labs LLC 2022");
		m.declare("envelopes.lib/ar:author", "Yann Orlarey, Stéphane Letz");
		m.declare("envelopes.lib/author", "GRAME");
		m.declare("envelopes.lib/copyright", "GRAME");
		m.declare("envelopes.lib/license", "LGPL with exception");
		m.declare("envelopes.lib/name", "Faust Envelope Library");
		m.declare("envelopes.lib/version", "0.1f");
		m.declare("filename", "Simian.dsp");
		m.declare("filters.lib/fir:author", "Julius O. Smith III");
		m.declare("filters.lib/fir:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/fir:license", "MIT-style STK-4.3f license");
		m.declare("filters.lib/highpass:author", "Julius O. Smith III");
		m.declare("filters.lib/highpass:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/iir:author", "Julius O. Smith III");
		m.declare("filters.lib/iir:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/iir:license", "MIT-style STK-4.3f license");
		m.declare("filters.lib/lowpass0_highpass1", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1:author", "Julius O. Smith III");
		m.declare("filters.lib/lowpass:author", "Julius O. Smith III");
		m.declare("filters.lib/lowpass:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass:license", "MIT-style STK-4.3f license");
		m.declare("filters.lib/name", "Faust Filters Library");
		m.declare("filters.lib/pole:author", "Julius O. Smith III");
		m.declare("filters.lib/pole:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/pole:license", "MIT-style STK-4.3f license");
		m.declare("filters.lib/resonlp:author", "Julius O. Smith III");
		m.declare("filters.lib/resonlp:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/resonlp:license", "MIT-style STK-4.3f license");
		m.declare("filters.lib/tf1:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1:license", "MIT-style STK-4.3f license");
		m.declare("filters.lib/tf1s:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1s:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1s:license", "MIT-style STK-4.3f license");
		m.declare("filters.lib/tf2:author", "Julius O. Smith III");
		m.declare("filters.lib/tf2:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf2:license", "MIT-style STK-4.3f license");
		m.declare("filters.lib/tf2s:author", "Julius O. Smith III");
		m.declare("filters.lib/tf2s:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf2s:license", "MIT-style STK-4.3f license");
		m.declare("filters.lib/version", "0.3f");
		m.declare("interpolators.lib/name", "Faust Interpolator Library");
		m.declare("interpolators.lib/version", "0.3f");
		m.declare("license", "GPLv3-or-later");
		m.declare("maths.lib/author", "GRAME");
		m.declare("maths.lib/copyright", "GRAME");
		m.declare("maths.lib/license", "LGPL with exception");
		m.declare("maths.lib/name", "Faust Math Library");
		m.declare("maths.lib/version", "2.5f");
		m.declare("name", "OneTrick SIMIAN");
		m.declare("noises.lib/name", "Faust Noise Generator Library");
		m.declare("noises.lib/version", "0.3f");
		m.declare("options", "[midi:on]");
		m.declare("oscillators.lib/name", "Faust Oscillator Library");
		m.declare("oscillators.lib/version", "0.3f");
		m.declare("platform.lib/name", "Generic Platform Library");
		m.declare("platform.lib/version", "0.2f");
		m.declare("signals.lib/name", "Faust Signal Routing Library");
		m.declare("signals.lib/version", "0.1f");
		m.declare("version", "1.00f");
	}

	int getNumInputs() nothrow @nogc {
		return 0;
	}
	int getNumOutputs() nothrow @nogc {
		return 3;
	}
	
	static void classInit(int sample_rate) nothrow @nogc {
		DSP_DrumSIG0* sig0 = newDSP_DrumSIG0();
		sig0.instanceInitDSP_DrumSIG0(sample_rate);
		sig0.fillDSP_DrumSIG0(8542, ftbl0DSP_DrumSIG0);
		deleteDSP_DrumSIG0(sig0);
	}
	
	void instanceConstants(int sample_rate) nothrow @nogc {
		fSampleRate = sample_rate;
		fConst0 = fmin(192000.0f, fmax(1.0f, cast(float)fSampleRate));
		fConst1 = fmax(1.0f, (0.00100000005f * fConst0));
		fConst2 = (1.0f / fConst1);
		fConst3 = (1.0f / fmax(1.0f, (0.0199999996f * fConst0)));
		float fConst4 = (1.0f / tan((1063.74329f / fConst0)));
		fConst5 = (1.0f / (fConst4 + 1.0f));
		fConst6 = (4.0f / fConst0);
		fConst7 = (1.0f / fConst0);
		fConst8 = (1.0f - fConst4);
		fConst9 = (0.0045454544f / fConst0);
		fConst10 = (3.14159274f / fConst0);
		float fConst11 = tan((628.318542f / fConst0));
		float fConst12 = (1.0f / fConst11);
		fConst13 = (1.0f / (((fConst12 + 1.41421354f) / fConst11) + 1.0f));
		float fConst14 = DSP_Drum_faustpower2_f(fConst11);
		fConst15 = (1.0f / fConst14);
		iConst16 = cast(int)(fConst0 / fmin(fConst0, 48000.0f));
		fConst17 = (((fConst12 + -1.41421354f) / fConst11) + 1.0f);
		fConst18 = (2.0f * (1.0f - fConst15));
		fConst19 = (0.0f - (2.0f / fConst14));
		fConst20 = (1.0f / fmax(1.0f, (0.0189999994f * fConst0)));
	}
	
	void instanceResetUserInterface() nothrow @nogc {
		fHslider0 = cast(FAUSTFLOAT)0.0f;
		fHslider1 = cast(FAUSTFLOAT)0.0f;
		fCheckbox0 = cast(FAUSTFLOAT)0.0f;
		fHslider2 = cast(FAUSTFLOAT)0.0f;
		fEntry0 = cast(FAUSTFLOAT)0.0f;
		fHslider3 = cast(FAUSTFLOAT)100.0f;
		fHslider4 = cast(FAUSTFLOAT)0.0f;
		fHslider5 = cast(FAUSTFLOAT)200.0f;
		fEntry1 = cast(FAUSTFLOAT)0.0f;
		fHslider6 = cast(FAUSTFLOAT)220.0f;
		fHslider7 = cast(FAUSTFLOAT)0.0f;
		fHslider8 = cast(FAUSTFLOAT)100.0f;
		fHslider9 = cast(FAUSTFLOAT)0.0f;
		fHslider10 = cast(FAUSTFLOAT)10000.0f;
		fHslider11 = cast(FAUSTFLOAT)0.0f;
		fHslider12 = cast(FAUSTFLOAT)100.0f;
		fHslider13 = cast(FAUSTFLOAT)0.0f;
		fHslider14 = cast(FAUSTFLOAT)25.0f;
		fHslider15 = cast(FAUSTFLOAT)50.0f;
		fHslider16 = cast(FAUSTFLOAT)0.0f;
	}
	
	void instanceClear() nothrow @nogc {
		for (int l0 = 0; (l0 < 2); l0 = (l0 + 1)) {
			fVec0[l0] = 0.0f;
		}
		for (int l1 = 0; (l1 < 2); l1 = (l1 + 1)) {
			fRec0[l1] = 0.0f;
		}
		for (int l2 = 0; (l2 < 2); l2 = (l2 + 1)) {
			fRec1[l2] = 0.0f;
		}
		for (int l3 = 0; (l3 < 2); l3 = (l3 + 1)) {
			iVec1[l3] = 0;
		}
		for (int l4 = 0; (l4 < 2); l4 = (l4 + 1)) {
			iRec4[l4] = 0;
		}
		for (int l5 = 0; (l5 < 2); l5 = (l5 + 1)) {
			fRec5[l5] = 0.0f;
		}
		for (int l6 = 0; (l6 < 2); l6 = (l6 + 1)) {
			fRec6[l6] = 0.0f;
		}
		for (int l7 = 0; (l7 < 2); l7 = (l7 + 1)) {
			fRec7[l7] = 0.0f;
		}
		for (int l8 = 0; (l8 < 2); l8 = (l8 + 1)) {
			fRec8[l8] = 0.0f;
		}
		for (int l9 = 0; (l9 < 2); l9 = (l9 + 1)) {
			fRec2[l9] = 0.0f;
		}
		for (int l10 = 0; (l10 < 2); l10 = (l10 + 1)) {
			fVec2[l10] = 0.0f;
		}
		for (int l11 = 0; (l11 < 2); l11 = (l11 + 1)) {
			iRec9[l11] = 0;
		}
		for (int l12 = 0; (l12 < 2); l12 = (l12 + 1)) {
			fRec11[l12] = 0.0f;
		}
		for (int l13 = 0; (l13 < 2); l13 = (l13 + 1)) {
			fRec16[l13] = 0.0f;
		}
		for (int l14 = 0; (l14 < 2); l14 = (l14 + 1)) {
			fRec14[l14] = 0.0f;
		}
		for (int l15 = 0; (l15 < 2); l15 = (l15 + 1)) {
			fRec13[l15] = 0.0f;
		}
		for (int l16 = 0; (l16 < 2); l16 = (l16 + 1)) {
			fRec12[l16] = 0.0f;
		}
		for (int l17 = 0; (l17 < 2); l17 = (l17 + 1)) {
			fVec3[l17] = 0.0f;
		}
		for (int l18 = 0; (l18 < 2); l18 = (l18 + 1)) {
			fRec10[l18] = 0.0f;
		}
		for (int l19 = 0; (l19 < 2); l19 = (l19 + 1)) {
			fRec17[l19] = 0.0f;
		}
		for (int l20 = 0; (l20 < 2); l20 = (l20 + 1)) {
			fRec19[l20] = 0.0f;
		}
		for (int l21 = 0; (l21 < 2); l21 = (l21 + 1)) {
			fRec22[l21] = 0.0f;
		}
		for (int l22 = 0; (l22 < 2); l22 = (l22 + 1)) {
			fRec20[l22] = 0.0f;
		}
		for (int l23 = 0; (l23 < 3); l23 = (l23 + 1)) {
			fRec18[l23] = 0.0f;
		}
		for (int l24 = 0; (l24 < 2); l24 = (l24 + 1)) {
			iRec26[l24] = 0;
		}
		for (int l25 = 0; (l25 < 2); l25 = (l25 + 1)) {
			iRec27[l25] = 0;
		}
		for (int l26 = 0; (l26 < 2); l26 = (l26 + 1)) {
			fRec25[l26] = 0.0f;
		}
		for (int l27 = 0; (l27 < 3); l27 = (l27 + 1)) {
			fRec24[l27] = 0.0f;
		}
		for (int l28 = 0; (l28 < 3); l28 = (l28 + 1)) {
			fRec23[l28] = 0.0f;
		}
		for (int l29 = 0; (l29 < 2); l29 = (l29 + 1)) {
			fRec30[l29] = 0.0f;
		}
		for (int l30 = 0; (l30 < 2); l30 = (l30 + 1)) {
			fRec28[l30] = 0.0f;
		}
	}
	
	void initialize(int sample_rate) nothrow @nogc {
		classInit(sample_rate);
		instanceInit(sample_rate);
	}
	void instanceInit(int sample_rate) nothrow @nogc {
		instanceConstants(sample_rate);
		instanceResetUserInterface();
		instanceClear();
	}
	
	DSP_Drum clone() {
		return (mallocNew!DSP_Drum());
	}
	
	int getSampleRate() nothrow @nogc {
		return fSampleRate;
	}
	
	void buildUserInterface(UI* uiInterface) nothrow @nogc {
		uiInterface.openVerticalBox("OneTrick SIMIAN");
		uiInterface.addNumEntry("Choke", &fEntry1, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)1.0f, cast(FAUSTFLOAT)0.00999999978f);
		uiInterface.addNumEntry("Trigger", &fEntry0, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)1.0f, cast(FAUSTFLOAT)0.00999999978f);
		uiInterface.addCheckButton("WakeUp", &fCheckbox0);
		uiInterface.declare(&fHslider10, "10", "");
		uiInterface.declare(&fHslider10, "scale", "log");
		uiInterface.addHorizontalSlider("LowpassFreq", &fHslider10, cast(FAUSTFLOAT)10000.0f, cast(FAUSTFLOAT)440.0f, cast(FAUSTFLOAT)15000.0f, cast(FAUSTFLOAT)1.0f);
		uiInterface.declare(&fHslider13, "11", "");
		uiInterface.declare(&fHslider13, "scale", "log");
		uiInterface.addHorizontalSlider("LowpassQ", &fHslider13, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)100.0f, cast(FAUSTFLOAT)0.00999999978f);
		uiInterface.declare(&fHslider11, "12", "");
		uiInterface.declare(&fHslider11, "midi", "ctrl 72");
		uiInterface.addHorizontalSlider("LowpassEnvBend", &fHslider11, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)-36.0f, cast(FAUSTFLOAT)36.0f, cast(FAUSTFLOAT)0.00999999978f);
		uiInterface.declare(&fHslider12, "13", "");
		uiInterface.addHorizontalSlider("LowpassEnvBendDynamics", &fHslider12, cast(FAUSTFLOAT)100.0f, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)100.0f, cast(FAUSTFLOAT)0.00999999978f);
		uiInterface.declare(&fHslider6, "1", "");
		uiInterface.declare(&fHslider6, "midi", "ctrl 71");
		uiInterface.declare(&fHslider6, "scale", "log");
		uiInterface.addHorizontalSlider("OscPitch", &fHslider6, cast(FAUSTFLOAT)220.0f, cast(FAUSTFLOAT)30.0f, cast(FAUSTFLOAT)4400.0f, cast(FAUSTFLOAT)0.00100000005f);
		uiInterface.declare(&fHslider9, "1", "");
		uiInterface.addHorizontalSlider("OscWaveform", &fHslider9, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)100.0f, cast(FAUSTFLOAT)0.00100000005f);
		uiInterface.declare(&fHslider5, "20", "");
		uiInterface.declare(&fHslider5, "midi", "ctrl 74");
		uiInterface.addHorizontalSlider("EnvDecay", &fHslider5, cast(FAUSTFLOAT)200.0f, cast(FAUSTFLOAT)10.0f, cast(FAUSTFLOAT)2000.0f, cast(FAUSTFLOAT)1.0f);
		uiInterface.declare(&fHslider4, "21", "");
		uiInterface.declare(&fHslider4, "midi", "ctrl 74");
		uiInterface.addHorizontalSlider("EnvPunch", &fHslider4, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)100.0f, cast(FAUSTFLOAT)0.00999999978f);
		uiInterface.declare(&fHslider7, "2", "");
		uiInterface.declare(&fHslider7, "midi", "ctrl 72");
		uiInterface.addHorizontalSlider("OscEnvBend", &fHslider7, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)-36.0f, cast(FAUSTFLOAT)36.0f, cast(FAUSTFLOAT)0.00999999978f);
		uiInterface.declare(&fHslider14, "30", "");
		uiInterface.declare(&fHslider14, "midi", "ctrl 73");
		uiInterface.addHorizontalSlider("FadeToneNoise", &fHslider14, cast(FAUSTFLOAT)25.0f, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)100.0f, cast(FAUSTFLOAT)0.00999999978f);
		uiInterface.declare(&fHslider15, "31", "");
		uiInterface.addHorizontalSlider("FadeClick", &fHslider15, cast(FAUSTFLOAT)50.0f, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)100.0f, cast(FAUSTFLOAT)0.00999999978f);
		uiInterface.declare(&fHslider16, "32", "");
		uiInterface.addHorizontalSlider("SendReverb", &fHslider16, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)100.0f, cast(FAUSTFLOAT)0.00999999978f);
		uiInterface.declare(&fHslider8, "3", "");
		uiInterface.addHorizontalSlider("OscEnvBendDynamics", &fHslider8, cast(FAUSTFLOAT)100.0f, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)100.0f, cast(FAUSTFLOAT)0.00999999978f);
		uiInterface.declare(&fHslider1, "40", "");
		uiInterface.addHorizontalSlider("Gain", &fHslider1, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)-100.0f, cast(FAUSTFLOAT)6.0f, cast(FAUSTFLOAT)0.100000001f);
		uiInterface.declare(&fHslider2, "41", "");
		uiInterface.addHorizontalSlider("Pan", &fHslider2, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)-100.0f, cast(FAUSTFLOAT)100.0f, cast(FAUSTFLOAT)0.00999999978f);
		uiInterface.declare(&fHslider3, "42", "");
		uiInterface.addHorizontalSlider("GainDynamics", &fHslider3, cast(FAUSTFLOAT)100.0f, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)100.0f, cast(FAUSTFLOAT)0.00999999978f);
		uiInterface.declare(&fHslider0, "43", "");
		uiInterface.addHorizontalSlider("Saturation", &fHslider0, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)0.0f, cast(FAUSTFLOAT)100.0f, cast(FAUSTFLOAT)0.00999999978f);
		uiInterface.closeBox();
	}
	
	void compute(int count, FAUSTFLOAT*[] inputs, FAUSTFLOAT*[] outputs) nothrow @nogc {
		FAUSTFLOAT* output0 = outputs[0];
		FAUSTFLOAT* output1 = outputs[1];
		FAUSTFLOAT* output2 = outputs[2];
		float fSlow0 = cast(float)fHslider0;
		float fSlow1 = (1.0f - (0.00700000022f * fSlow0));
		float fSlow2 = FastMath.pow(10.0f, (0.0500000007f * cast(float)fHslider1));
		float fSlow3 = cast(float)fCheckbox0;
		float fSlow4 = (0.00999999978f * cast(float)fHslider2);
		float fSlow5 = cast(float)fEntry0;
		int iSlow6 = (fSlow5 > 0.0f);
		float fSlow7 = (0.00999999978f * cast(float)fHslider3);
		int iSlow8 = iSlow6;
		float fSlow9 = (0.00999999978f * cast(float)fHslider4);
		float fSlow10 = (0.00100000005f * cast(float)fHslider5);
		float fSlow11 = cast(float)fEntry1;
		float fSlow12 = cast(float)fHslider6;
		float fSlow13 = (0.0833333358f * cast(float)fHslider7);
		float fSlow14 = (0.00999999978f * cast(float)fHslider8);
		float fSlow15 = (0.00999999978f * cast(float)fHslider9);
		float fSlow16 = cast(float)fHslider10;
		float fSlow17 = (0.0833333358f * cast(float)fHslider11);
		float fSlow18 = (0.00999999978f * cast(float)fHslider12);
		float fSlow19 = (1.0f / ((0.00999999978f * cast(float)fHslider13) + 1.0f));
		float fSlow20 = cast(float)fHslider14;
		float fSlow21 = cast(float)fHslider15;
		float fSlow22 = (0.00999999978f * fSlow20);
		float fSlow23 = ((1.0f / ((0.00400000019f * fSlow0) + 0.5f)) + -2.0f);
		float fSlow24 = (0.00999999978f * (cast(float)fHslider16 * fSlow1));
		for (int i0 = 0; (i0 < count); i0 = (i0 + 1)) {
			fVec0[0] = fSlow3;
			float fTemp0 = cast(float)(fSlow3 <= fVec0[1]);
			float fTemp1 = (1.0f - (0.999499977f * fTemp0));
			fRec0[0] = ((fSlow2 * fTemp1) + (0.999499977f * (fTemp0 * fRec0[1])));
			fRec1[0] = ((fSlow4 * fTemp1) + (0.999499977f * (fTemp0 * fRec1[1])));
			iVec1[0] = iSlow6;
			int iTemp2 = (iSlow6 > iVec1[1]);
			iRec4[0] = (((iRec4[1] + (iRec4[1] > 0)) * (iSlow6 <= iVec1[1])) + iTemp2);
			float fTemp3 = cast(float)iRec4[0];
			int iTemp4 = (fTemp3 >= fConst1);
			int iTemp5 = iTemp2;
			fRec5[0] = ((iTemp5) ? fRec2[1] : fRec5[1]);
			fRec6[0] = ((iSlow8) ? fSlow5 : fRec6[1]);
			float fTemp6 = (fRec6[0] + -1.0f);
			float fTemp7 = FastMath.sqrt(((fSlow7 * fTemp6) + 1.0f));
			float fTemp8 = fmax(fRec5[0], fTemp7);
			fRec7[0] = ((iTemp5) ? fSlow9 : fRec7[1]);
			float fTemp9 = ((1.0f / fmin(((0.400000006f * fRec7[0]) + 0.5f), 0.999000013f)) + -2.0f);
			float fTemp10 = ((fTemp9 * (1.0f - (fConst2 * fTemp3))) + 1.0f);
			float fTemp11 = (fTemp3 - fConst1);
			float fElse3 = (fSlow10 * ((0.699999988f * fTemp6) + 1.0f));
			fRec8[0] = ((iTemp5) ? fElse3 : fRec8[1]);
			float fTemp12 = fmin(1.0f, (fTemp11 / fmax(1.0f, (fConst0 * fRec8[0]))));
			float fTemp13 = (1.0f - (fTemp12 / ((fTemp9 * (1.0f - fTemp12)) + 1.0f)));
			fRec2[0] = fmin(1.0f, fmax(0.0f, ((iTemp4) ? (fTemp13 * fTemp8) : (fRec5[0] + (fConst2 * ((fTemp3 * (fTemp8 - fRec5[0])) / fTemp10))))));
			float fRec3 = fRec2[1];
			fVec2[0] = fSlow11;
			iRec9[0] = ((fSlow11 > fVec2[1]) + ((fSlow11 <= fVec2[1]) * (iRec9[1] + (iRec9[1] > 0))));
			float fTemp14 = cast(float)iRec9[0];
			float fTemp15 = ((fSlow11 * (fmax(0.0f, fmin(fTemp14, (1.0f - (fConst3 * (fTemp14 + -1.0f))))) + -1.0f)) + 1.0f);
			fRec11[0] = ((fSlow12 * fTemp1) + (0.999499977f * (fTemp0 * fRec11[1])));
			fRec16[0] = ((iTemp5) ? fRec14[1] : fRec16[1]);
			float fTemp16 = fmax(fRec16[0], ((fSlow14 * fTemp6) + 1.0f));
			fRec14[0] = fmin(1.0f, fmax(0.0f, ((iTemp4) ? (fTemp16 * fTemp13) : (fRec16[0] + (fConst2 * ((fTemp3 * (fTemp16 - fRec16[0])) / fTemp10))))));
			float fRec15 = fRec14[1];
			float fTemp17 = FastMath.pow(2.0f, (fSlow13 * (fRec15 * fTemp15)));
			float fTemp18 = (fRec11[0] * fTemp17);
			float fTemp19 = (fConst7 * fTemp18);
			float fTemp20 = (fRec13[1] + fTemp19);
			fRec13[0] = (fTemp20 - floor(fTemp20));
			float fTemp21 = fmod((fmod((fRec13[0] + 0.5f), 1.0f) + 1.0f), 1.0f);
			float fTemp22 = (1.0f - fTemp19);
			int iTemp23 = ((fTemp21 < fTemp19) + (2 * (fTemp21 > fTemp22)));
			float fTemp24 = (fTemp21 + -1.0f);
			float fThen8 = (((iTemp23 == 1)) ? ((fConst0 * ((fTemp21 * (2.0f - (fConst0 * (fTemp21 / fTemp18)))) / fTemp18)) + -1.0f) : ((fConst0 * ((fTemp24 * ((fConst0 * (fTemp24 / fTemp18)) + 2.0f)) / fTemp18)) + 1.0f));
			int iTemp25 = ((fRec13[0] < fTemp19) + (2 * (fRec13[0] > fTemp22)));
			float fTemp26 = (fRec13[0] + -1.0f);
			float fThen10 = (((iTemp25 == 1)) ? ((fConst0 * ((fRec13[0] * (2.0f - (fConst0 * (fRec13[0] / fTemp18)))) / fTemp18)) + -1.0f) : ((fConst0 * ((fTemp26 * ((fConst0 * (fTemp26 / fTemp18)) + 2.0f)) / fTemp18)) + 1.0f));
			fRec12[0] = (((((iTemp23 == 0)) ? 0.0f : fThen8) + ((0.999000013f * fRec12[1]) + cast(float)((2 * cast(int)(2.0f * fRec13[0])) + -1))) - (((iTemp25 == 0)) ? 0.0f : fThen10));
			float fTemp27 = ((fRec11[0] * fRec12[0]) * fTemp17);
			fVec3[0] = fTemp27;
			fRec10[0] = (fConst5 * ((fConst6 * (fTemp27 + fVec3[1])) - (fConst8 * fRec10[1])));
			fRec17[0] = ((fSlow15 * fTemp1) + (0.999499977f * (fTemp0 * fRec17[1])));
			float fTemp28 = (fRec19[1] + (fConst9 * fTemp18));
			fRec19[0] = (fTemp28 - floor(fTemp28));
			float fTemp29 = (8542.0f * fRec19[0]);
			int iTemp30 = cast(int)fTemp29;
			float fTemp31 = ftbl0DSP_DrumSIG0[((iTemp30 + 1) % 8542)];
			float fTemp32 = (fTemp29 - cast(float)iTemp30);
			float fTemp33 = ftbl0DSP_DrumSIG0[((iTemp30 + 2) % 8542)];
			float fTemp34 = ftbl0DSP_DrumSIG0[iTemp30];
			float fTemp35 = ftbl0DSP_DrumSIG0[((iTemp30 + 3) % 8542)];
			fRec22[0] = ((iTemp5) ? fRec20[1] : fRec22[1]);
			float fTemp36 = fmax(fRec22[0], ((fSlow18 * fTemp6) + 1.0f));
			fRec20[0] = fmin(1.0f, fmax(0.0f, ((iTemp4) ? (fTemp13 * fTemp36) : (fRec22[0] + (fConst2 * ((fTemp3 * (fTemp36 - fRec22[0])) / fTemp10))))));
			float fRec21 = fRec20[1];
			float fTemp37 = tan((fConst10 * fmin((fSlow16 * FastMath.pow(2.0f, (fSlow17 * (fRec21 * fTemp15)))), 19000.0f)));
			float fTemp38 = (1.0f / fTemp37);
			float fTemp39 = (((fTemp38 - fSlow19) / fTemp37) + 1.0f);
			float fTemp40 = (1.0f - (1.0f / DSP_Drum_faustpower2_f(fTemp37)));
			float fTemp41 = (((fSlow19 + fTemp38) / fTemp37) + 1.0f);
			fRec18[0] = ((fTemp31 + (fTemp32 * ((fTemp33 - fTemp34) + (fTemp32 * ((((fTemp35 + fTemp31) - (fTemp33 + fTemp34)) * fTemp32) + ((fTemp33 + (2.0f * (fTemp34 - fTemp31))) - fTemp35)))))) - (((fRec18[2] * fTemp39) + (2.0f * (fRec18[1] * fTemp40))) / fTemp41));
			float fTemp42 = (fRec10[0] + (fRec17[0] * (((fRec18[2] + (fRec18[0] + (2.0f * fRec18[1]))) / fTemp41) - fRec10[0])));
			iRec26[0] = (iRec26[1] + 1);
			iRec27[0] = ((1103515245 * iRec27[1]) + 12345);
			float fElse13 = (4.65661287e-10f * cast(float)iRec27[0]);
			fRec25[0] = (((((iRec26[0] + -1) % iConst16) == 0)) ? fElse13 : fRec25[1]);
			fRec24[0] = (fRec25[0] - (fConst13 * ((fConst17 * fRec24[2]) + (fConst18 * fRec24[1]))));
			fRec23[0] = ((fConst13 * (((fConst15 * fRec24[0]) + (fConst19 * fRec24[1])) + (fConst15 * fRec24[2]))) - (((fTemp39 * fRec23[2]) + (2.0f * (fTemp40 * fRec23[1]))) / fTemp41));
			float fTemp43 = ((fRec23[2] + (fRec23[0] + (2.0f * fRec23[1]))) / fTemp41);
			float fTemp44 = (fTemp43 - fTemp42);
			fRec30[0] = ((iTemp5) ? fRec28[1] : fRec30[1]);
			float fTemp45 = fmax(fRec30[0], fTemp7);
			fRec28[0] = fmin(1.0f, fmax(0.0f, ((iTemp4) ? (fTemp45 * (1.0f - (fConst20 * fTemp11))) : (fRec30[0] + (fConst2 * (fTemp3 * (fTemp45 - fRec30[0])))))));
			float fRec29 = fRec28[1];
			float fTemp46 = ((DSP_Drum_faustpower2_f(fRec3) * DSP_Drum_faustpower2_f(fTemp15)) * (fTemp42 + (0.00999999978f * ((fSlow20 * fTemp44) + (fSlow21 * (DSP_Drum_faustpower2_f(fRec29) * (fTemp43 - (fTemp42 + (fSlow22 * fTemp44)))))))));
			float fTemp47 = fabs(fTemp46);
			float fTemp48 = (1.0f - cast(float)(2 * (fTemp46 < 0.0f)));
			float fTemp49 = ((fSlow23 * (1.0f - fTemp47)) + 1.0f);
			output0[i0] = cast(FAUSTFLOAT)(fSlow1 * ((((fRec0[0] * fmin(1.0f, (1.0f - fRec1[0]))) * fTemp47) * fTemp48) / fTemp49));
			output1[i0] = cast(FAUSTFLOAT)(fSlow1 * ((((fRec0[0] * fmin(1.0f, (fRec1[0] + 1.0f))) * fTemp47) * fTemp48) / fTemp49));
			output2[i0] = cast(FAUSTFLOAT)(fSlow24 * (((fRec0[0] * fTemp47) * fTemp48) / fTemp49));
			fVec0[1] = fVec0[0];
			fRec0[1] = fRec0[0];
			fRec1[1] = fRec1[0];
			iVec1[1] = iVec1[0];
			iRec4[1] = iRec4[0];
			fRec5[1] = fRec5[0];
			fRec6[1] = fRec6[0];
			fRec7[1] = fRec7[0];
			fRec8[1] = fRec8[0];
			fRec2[1] = fRec2[0];
			fVec2[1] = fVec2[0];
			iRec9[1] = iRec9[0];
			fRec11[1] = fRec11[0];
			fRec16[1] = fRec16[0];
			fRec14[1] = fRec14[0];
			fRec13[1] = fRec13[0];
			fRec12[1] = fRec12[0];
			fVec3[1] = fVec3[0];
			fRec10[1] = fRec10[0];
			fRec17[1] = fRec17[0];
			fRec19[1] = fRec19[0];
			fRec22[1] = fRec22[0];
			fRec20[1] = fRec20[0];
			fRec18[2] = fRec18[1];
			fRec18[1] = fRec18[0];
			iRec26[1] = iRec26[0];
			iRec27[1] = iRec27[0];
			fRec25[1] = fRec25[0];
			fRec24[2] = fRec24[1];
			fRec24[1] = fRec24[0];
			fRec23[2] = fRec23[1];
			fRec23[1] = fRec23[0];
			fRec30[1] = fRec30[0];
			fRec28[1] = fRec28[0];
		}
	}

}

/***************************END USER SECTION ***************************/

/*******************BEGIN ARCHITECTURE SECTION (part 2/2)***************/

/********************END ARCHITECTURE SECTION (part 2/2)****************/
